
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6138028564812932d, 180.00000000000006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 180.00104653569835d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(1077149727, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    double d6 = arrayRealVector2.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector2.append((org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, arrayRealVector2);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b13 = arrayRealVector12.isNaN();
    org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector12.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector12, realVector19);
    java.lang.String str21 = arrayRealVector20.toString();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    double[] d_array43 = new double[] { 10.0d, (-1.0d) };
    double[] d_array46 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair47 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array43, d_array46);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array43);
    double[] d_array49 = array2DRowRealMatrix40.operate(d_array43);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction50 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array49);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = arrayRealVector20.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction50);
    double[] d_array52 = polynomialFunction50.getCoefficients();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight56 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, false);
    double[][] d_array_array60 = array2DRowRealMatrix59.getDataRef();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight64 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array63);
    double[][] d_array_array65 = new double[][] { d_array63 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array65, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = array2DRowRealMatrix67.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = array2DRowRealMatrix59.add(array2DRowRealMatrix67);
    double[] d_array74 = new double[] { 10.0d, (-1.0d) };
    double[] d_array77 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair78 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array74, d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array74);
    double[] d_array80 = array2DRowRealMatrix71.operate(d_array74);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction81 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array80);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction82 = polynomialFunction50.add(polynomialFunction81);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector83 = arrayRealVector11.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction82);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure84 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure85 = polynomialFunction82.value(derivativeStructure84);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "{}"+ "'", str21.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector83);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat2 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat1);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat3 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat1);
    java.lang.String str4 = realMatrixFormat3.getRowSuffix();
    java.lang.String str5 = realMatrixFormat3.getRowPrefix();
    java.lang.String str6 = realMatrixFormat3.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "}"+ "'", str4.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{"+ "'", str5.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "}"+ "'", str6.equals("}"));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix6.scalarAdd(0.012125686301187825d);
    int i21 = array2DRowRealMatrix6.getRowDimension();
    double[][] d_array_array22 = array2DRowRealMatrix6.getData();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix6.addToEntry(2147483647, (-1048576), 1.0842572897345921d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    double[][] d_array_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math3.linear.BlockRealMatrix(7, 36, d_array_array2, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    java.lang.Object obj7 = pointVectorValuePair6.getFirst();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException12 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array13 = matrixDimensionMismatchException12.getWrongDimensions();
    java.lang.Integer[] i_array14 = matrixDimensionMismatchException12.getWrongDimensions();
    boolean b15 = pointVectorValuePair6.equals((java.lang.Object)matrixDimensionMismatchException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix0 = null;
    java.io.ObjectOutputStream objectOutputStream1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix(realMatrix0, objectOutputStream1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)1, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat2 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat1);
    java.lang.String str3 = realVectorFormat2.getPrefix();
    java.lang.String str4 = realVectorFormat2.getPrefix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = realVectorFormat2.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{"+ "'", str3.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "{"+ "'", str4.equals("{"));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction28 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array27);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction29 = polynomialFunction28.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction30 = polynomialFunction29.negate();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight42 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array43, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = array2DRowRealMatrix45.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix37.add(array2DRowRealMatrix45);
    double[] d_array52 = new double[] { 10.0d, (-1.0d) };
    double[] d_array55 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair56 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array52, d_array55);
    org.apache.commons.math3.linear.RealMatrix realMatrix57 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array52);
    double[] d_array58 = array2DRowRealMatrix49.operate(d_array52);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction59 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array58);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction60 = polynomialFunction29.multiply(polynomialFunction59);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction61 = polynomialFunction60.derivative();
    double d63 = polynomialFunction60.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix((-20), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.4247702268044662d, obj_array1);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector9.copy();
    int i11 = arrayRealVector10.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = arrayRealVector14.copy();
    int i16 = arrayRealVector15.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = arrayRealVector10.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector15);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = arrayRealVector17.map(univariateFunction18);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array41);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction48 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = arrayRealVector0.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector50);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    int i4 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 9 };
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException8 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array9 = matrixDimensionMismatchException8.getWrongDimensions();
    java.lang.Integer[] i_array10 = matrixDimensionMismatchException8.getWrongDimensions();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(short)1, (java.lang.Object[])i_array10);
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException12 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array1, i_array10);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException19 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array20 = matrixDimensionMismatchException19.getWrongDimensions();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable13, (java.lang.Number)9223372036854775807L, (java.lang.Object[])i_array20);
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException22 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array1, i_array20);
    java.io.ObjectInputStream objectInputStream24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)i_array20, "}", objectInputStream24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.5712556729872575d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    int i3 = gaussNewtonOptimizer1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array28 = array2DRowFieldMatrix1.getRow(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    double d4 = arrayRealVector0.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    double d7 = arrayRealVector5.getL1Norm();
    int i8 = arrayRealVector5.getMaxIndex();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = arrayRealVector0.add((org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b11 = arrayRealVector10.isNaN();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector10.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b15 = arrayRealVector14.isNaN();
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector14.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector10, realVector17);
    java.lang.String str19 = arrayRealVector18.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array41);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction48 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector18.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    double[] d_array50 = polynomialFunction48.getCoefficients();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction51 = polynomialFunction48.derivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector52 = arrayRealVector5.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{}"+ "'", str19.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector52);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1L, (java.lang.Number)10, (java.lang.Number)100.0d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getArgument();
    java.lang.Number number7 = outOfRangeException3.getArgument();
    java.lang.Number number8 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10+ "'", number5.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1L+ "'", number7.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100.0d+ "'", number8.equals(100.0d));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(6.283185307179586d, 0.09805993851507631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.283185307179585d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.0d), 180.00000000000006d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[] d_array6 = new double[] { 10.0d, (-1.0d) };
    double[] d_array9 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair10 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array6, d_array9);
    double[] d_array13 = new double[] { 10.0d, (-1.0d) };
    double[] d_array16 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair17 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array13, d_array16);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array13);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds19 = new org.apache.commons.math3.optim.SimpleBounds(d_array9, d_array13);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair21 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array13, false);
    double[] d_array22 = pointVectorValuePair21.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), 2147483647);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.8622957433108482d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = array2DRowRealMatrix14.scalarAdd(0.0d);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight73 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array74, false);
    double[][] d_array_array77 = array2DRowRealMatrix76.getDataRef();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight81 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array80);
    double[][] d_array_array82 = new double[][] { d_array80 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix84 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array82, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix87 = array2DRowRealMatrix84.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix88 = array2DRowRealMatrix76.add(array2DRowRealMatrix84);
    java.lang.String str89 = array2DRowRealMatrix84.toString();
    int i90 = array2DRowRealMatrix84.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix92 = array2DRowRealMatrix84.getColumnMatrix(0);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix60, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix84);
    int i94 = array2DRowRealMatrix84.getRowDimension();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix95 = array2DRowRealMatrix14.subtract(array2DRowRealMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str89.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix95);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(1079575489, 2146435072, (-127), 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)1, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double d19 = array2DRowRealMatrix6.getNorm();
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = array2DRowRealMatrix6.scalarMultiply(0.0d);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    double[] d_array43 = new double[] { 10.0d, (-1.0d) };
    double[] d_array46 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair47 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array43, d_array46);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array43);
    double[] d_array49 = array2DRowRealMatrix40.operate(d_array43);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array49);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight54 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array55, false);
    double[][] d_array_array58 = array2DRowRealMatrix57.getDataRef();
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight62 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = array2DRowRealMatrix57.add(array2DRowRealMatrix65);
    double[] d_array72 = new double[] { 10.0d, (-1.0d) };
    double[] d_array75 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair76 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array72, d_array75);
    org.apache.commons.math3.linear.RealMatrix realMatrix77 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array72);
    double[] d_array78 = array2DRowRealMatrix69.operate(d_array72);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction79 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array78);
    org.apache.commons.math3.linear.RealVector realVector80 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array78);
    org.apache.commons.math3.linear.RealVector realVector82 = realVector80.mapDivide((-0.8446024630198843d));
    org.apache.commons.math3.linear.RealVector realVector83 = array2DRowRealMatrix50.preMultiply(realVector82);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    java.lang.String str75 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix78 = array2DRowFieldMatrix1.createMatrix(2075393087, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str75.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    java.io.ObjectOutputStream objectOutputStream3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix0, objectOutputStream3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(9.913488661370689d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.913488661370689d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    double[] d_array59 = pointVectorValuePair57.getPoint();
    double[] d_array60 = pointVectorValuePair57.getValueRef();
    double[] d_array61 = pointVectorValuePair57.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    double[] d_array10 = diagonalMatrix9.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix11.subtract(diagonalMatrix12);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix14.subtract(diagonalMatrix15);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = diagonalMatrix17.subtract(diagonalMatrix18);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix11.multiply(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = diagonalMatrix9.subtract(diagonalMatrix21);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = diagonalMatrix6.multiply(diagonalMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix23.setEntry(1, 0, 0.6947506487576603d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix23);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8905898467706317d, (java.lang.Number)1.4210854715202004E-14d, true);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException(",", 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    double[][] d_array_array18 = array2DRowRealMatrix17.getDataRef();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix25.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = array2DRowRealMatrix17.add(array2DRowRealMatrix25);
    double[] d_array32 = new double[] { 10.0d, (-1.0d) };
    double[] d_array35 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair36 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array32, d_array35);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array32);
    double[] d_array38 = array2DRowRealMatrix29.operate(d_array32);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction39 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction39);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = polynomialFunction39.value(derivativeStructure41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-0.0f), 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    org.apache.commons.math3.fitting.WeightedObservedPoint[] weightedObservedPoint_array3 = polynomialFitter2.getObservations();
    polynomialFitter2.addObservedPoint(2.225073858507202E-308d, 1.565240828394204d, 3.552713678800501E-15d);
    double[] d_array11 = new double[] { 10.0d, (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair15 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array11, d_array14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array14, false);
    int i18 = org.apache.commons.math3.util.MathUtils.hash(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = polynomialFitter2.fit(2146435072, d_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1079575489);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = diagonalMatrix1.subtract(diagonalMatrix2);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix4.subtract(diagonalMatrix5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix1.multiply(diagonalMatrix7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = arrayRealVector12.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b15 = arrayRealVector14.isNaN();
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector14.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b19 = arrayRealVector18.isNaN();
    org.apache.commons.math3.linear.RealVector realVector21 = arrayRealVector18.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector14, realVector21);
    java.lang.String str23 = arrayRealVector22.toString();
    double d24 = arrayRealVector13.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = arrayRealVector25.copy();
    boolean b27 = arrayRealVector26.isNaN();
    double d28 = arrayRealVector26.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = arrayRealVector29.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b32 = arrayRealVector31.isNaN();
    org.apache.commons.math3.linear.RealVector realVector34 = arrayRealVector31.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b36 = arrayRealVector35.isNaN();
    org.apache.commons.math3.linear.RealVector realVector38 = arrayRealVector35.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector31, realVector38);
    java.lang.String str40 = arrayRealVector39.toString();
    double d41 = arrayRealVector30.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector39);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector26, (org.apache.commons.math3.linear.RealVector)arrayRealVector39);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = arrayRealVector13.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector42);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix1, (org.apache.commons.math3.linear.RealVector)arrayRealVector43);
    double[][] d_array_array45 = diagonalMatrix1.getData();
    double[] d_array46 = diagonalMatrix1.getDataRef();
    boolean b48 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix1, 1.4153478402429818d);
    double[][] d_array_array49 = diagonalMatrix1.getData();
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException50 = new org.apache.commons.math3.exception.MathUnsupportedOperationException(localizable0, (java.lang.Object[])d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "{}"+ "'", str23.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "{}"+ "'", str40.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array41);
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b50 = arrayRealVector49.isNaN();
    org.apache.commons.math3.linear.RealVector realVector52 = arrayRealVector49.mapMultiplyToSelf(0.6483608274590866d);
    double d53 = arrayRealVector49.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector57 = arrayRealVector49.append((org.apache.commons.math3.linear.RealVector)arrayRealVector56);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight61 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, false);
    double[][] d_array_array65 = array2DRowRealMatrix64.getDataRef();
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight69 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array68);
    double[][] d_array_array70 = new double[][] { d_array68 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix72 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array70, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix75 = array2DRowRealMatrix72.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = array2DRowRealMatrix64.add(array2DRowRealMatrix72);
    double[] d_array79 = new double[] { 10.0d, (-1.0d) };
    double[] d_array82 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair83 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array79, d_array82);
    org.apache.commons.math3.linear.RealMatrix realMatrix84 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array79);
    double[] d_array85 = array2DRowRealMatrix76.operate(d_array79);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction86 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array85);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction87 = polynomialFunction86.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector88 = arrayRealVector56.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction87);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector89 = arrayRealVector56.copy();
    double d90 = arrayRealVector89.getL1Norm();
    int i91 = arrayRealVector89.getDimension();
    org.apache.commons.math3.linear.RealVector realVector93 = arrayRealVector89.append(0.7692923795925918d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector94 = array2DRowRealMatrix6.operate((org.apache.commons.math3.linear.RealVector)arrayRealVector89);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector93);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor3, (-3), 1, 9, (-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array3 = arrayRealVector2.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3, false);
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(0.23020460987559233d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = arrayRealVector8.copy();
    int i10 = arrayRealVector9.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = arrayRealVector13.copy();
    int i15 = arrayRealVector14.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector9.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector14);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = arrayRealVector16.map(univariateFunction17);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector16.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b52 = arrayRealVector51.isNaN();
    org.apache.commons.math3.linear.RealVector realVector54 = arrayRealVector51.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = arrayRealVector16.combine(0.0d, 5.886096315311465d, realVector54);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector55, false);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = arrayRealVector58.copy();
    int i60 = arrayRealVector59.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector65 = arrayRealVector63.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector66 = arrayRealVector59.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector63);
    arrayRealVector63.set(Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector69 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector55, arrayRealVector63);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = arrayRealVector5.getLInfDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector66);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)20.0d, true);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.4210854715202004E-14d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4210854715202004E-14d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-3));
    int i2 = incrementor1.getCount();
    incrementor1.incrementCount((-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    java.lang.Object obj59 = pointVectorValuePair57.getFirst();
    double[] d_array60 = pointVectorValuePair57.getPoint();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction61 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement27 = array2DRowFieldMatrix1.getEntry(825801805, 2146435072);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    double[] d_array28 = new double[] { 10.0d, (-1.0d) };
    double[] d_array31 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair32 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array28, d_array31);
    org.apache.commons.math3.linear.RealMatrix realMatrix33 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array28);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds34 = new org.apache.commons.math3.optim.SimpleBounds(d_array24, d_array28);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array24);
    double[] d_array37 = array2DRowRealMatrix18.operate(d_array24);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.7671193577593026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0132899805187756d));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.createMatrix(10, (-1048576));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getMaxIterations();
    int i4 = levenbergMarquardtOptimizer1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    double[] d_array10 = diagonalMatrix9.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix11.subtract(diagonalMatrix12);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix14.subtract(diagonalMatrix15);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = diagonalMatrix17.subtract(diagonalMatrix18);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix11.multiply(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = diagonalMatrix9.subtract(diagonalMatrix21);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = diagonalMatrix6.multiply(diagonalMatrix9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array27 = arrayRealVector26.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = diagonalMatrix23.operate(d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    boolean b38 = array2DRowRealMatrix25.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix6.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = arrayRealVector40.copy();
    int i42 = arrayRealVector41.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector47 = arrayRealVector45.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector41.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector51 = arrayRealVector49.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector52 = arrayRealVector45.add(realVector51);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction53 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = arrayRealVector52.mapToSelf(univariateFunction53);
    org.apache.commons.math3.linear.RealVector realVector56 = arrayRealVector54.mapSubtractToSelf(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveLowerTriangularSystem((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6, realVector56);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("{{1,0}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    int i13 = arrayRealVector12.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector16.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = arrayRealVector12.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector16);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector22 = arrayRealVector20.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector16.add(realVector22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = arrayRealVector8.combine(20.0d, Double.NaN, (org.apache.commons.math3.linear.RealVector)arrayRealVector23);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector24);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Integer[] i_array2 = new java.lang.Integer[] { 9 };
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException9 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array10 = matrixDimensionMismatchException9.getWrongDimensions();
    java.lang.Integer[] i_array11 = matrixDimensionMismatchException9.getWrongDimensions();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(short)1, (java.lang.Object[])i_array11);
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException13 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array2, i_array11);
    org.apache.commons.math3.exception.ConvergenceException convergenceException14 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, (java.lang.Object[])i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, number1, (java.lang.Number)0.5217260524213888d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.5217260524213888d+ "'", number4.equals(0.5217260524213888d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1920053288, 9);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException5 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array6 = matrixDimensionMismatchException5.getWrongDimensions();
    java.lang.Integer[] i_array7 = matrixDimensionMismatchException5.getWrongDimensions();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException12 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array13 = matrixDimensionMismatchException12.getWrongDimensions();
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException14 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array7, i_array13);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.19611987703015263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-80656125));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, realVector9);
    java.lang.String str11 = arrayRealVector10.toString();
    double d12 = arrayRealVector1.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = arrayRealVector13.copy();
    boolean b15 = arrayRealVector14.isNaN();
    double d16 = arrayRealVector14.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = arrayRealVector17.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b20 = arrayRealVector19.isNaN();
    org.apache.commons.math3.linear.RealVector realVector22 = arrayRealVector19.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b24 = arrayRealVector23.isNaN();
    org.apache.commons.math3.linear.RealVector realVector26 = arrayRealVector23.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector19, realVector26);
    java.lang.String str28 = arrayRealVector27.toString();
    double d29 = arrayRealVector18.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector14, (org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = arrayRealVector1.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector30);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = arrayRealVector32.copy();
    int i34 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector37.copy();
    int i39 = arrayRealVector38.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector33.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = arrayRealVector30.ebeDivide((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = arrayRealVector40.walkInDefaultOrder(realVectorChangingVisitor42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{}"+ "'", str11.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "{}"+ "'", str28.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector41);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    polynomialFitter2.addObservedPoint((-1.0d), 20.0d);
    polynomialFitter2.addObservedPoint(Double.POSITIVE_INFINITY, (-1.0d));
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b11 = arrayRealVector10.isNaN();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector10.mapMultiplyToSelf(0.6483608274590866d);
    double d14 = arrayRealVector10.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector10.append((org.apache.commons.math3.linear.RealVector)arrayRealVector17);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction48 = polynomialFunction47.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    double[] d_array50 = polynomialFunction48.getCoefficients();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array51 = polynomialFitter2.fit(0, d_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getIterations();
    org.apache.commons.math3.fitting.CurveFitter curveFitter4 = new org.apache.commons.math3.fitting.CurveFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)levenbergMarquardtOptimizer1);
    curveFitter4.addObservedPoint(10.0d, 40.0d, 1.0037444403307465d);
    curveFitter4.addObservedPoint(0.08629615972623572d, 0.08651133862931325d);
    org.apache.commons.math3.analysis.ParametricUnivariateFunction parametricUnivariateFunction12 = null;
    double[] d_array15 = new double[] { 10.0d, (-1.0d) };
    double[] d_array18 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair19 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array15, d_array18);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array22);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds28 = new org.apache.commons.math3.optim.SimpleBounds(d_array18, d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array29 = curveFitter4.fit(parametricUnivariateFunction12, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector13, realVector20);
    java.lang.String str22 = arrayRealVector21.toString();
    double d23 = arrayRealVector12.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    double d24 = arrayRealVector12.getMaxValue();
    double d25 = arrayRealVector8.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    boolean b26 = arrayRealVector8.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{}"+ "'", str22.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException((-1), (-2075393087), 70.45944794184393d);
    double d4 = nonSymmetricMatrixException3.getThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 70.45944794184393d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array22);
    double[] d_array28 = array2DRowRealMatrix19.operate(d_array22);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix30 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array28, false);
    int i31 = diagonalMatrix30.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMultiplicationCompatible(anyMatrix0, (org.apache.commons.math3.linear.AnyMatrix)diagonalMatrix30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(9.913488661370689d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("{{1},{0}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix24 = array2DRowRealMatrix14.getRowMatrix(825801805);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.6641693979729677d, 22.140692632779267d, (-0.2623067631095239d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array6 = array2DRowFieldMatrix5.getDataRef();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight10 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11, false);
    double[][] d_array_array14 = array2DRowRealMatrix13.getDataRef();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight18 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = array2DRowRealMatrix21.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = array2DRowRealMatrix13.add(array2DRowRealMatrix21);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = array2DRowRealMatrix13.transpose();
    boolean b27 = array2DRowFieldMatrix5.equals((java.lang.Object)realMatrix26);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = arrayRealVector28.copy();
    int i30 = arrayRealVector29.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector35 = arrayRealVector33.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = arrayRealVector29.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b38 = arrayRealVector37.isNaN();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(0.6483608274590866d);
    double d41 = arrayRealVector37.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector45 = arrayRealVector37.append((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight49 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array50, false);
    double[][] d_array_array53 = array2DRowRealMatrix52.getDataRef();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight57 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array56);
    double[][] d_array_array58 = new double[][] { d_array56 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array58, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix63 = array2DRowRealMatrix60.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = array2DRowRealMatrix52.add(array2DRowRealMatrix60);
    double[] d_array67 = new double[] { 10.0d, (-1.0d) };
    double[] d_array70 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair71 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array67, d_array70);
    org.apache.commons.math3.linear.RealMatrix realMatrix72 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array67);
    double[] d_array73 = array2DRowRealMatrix64.operate(d_array67);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction74 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array73);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction75 = polynomialFunction74.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = arrayRealVector44.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction75);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector77 = arrayRealVector29.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction75);
    boolean b78 = array2DRowFieldMatrix5.equals((java.lang.Object)arrayRealVector77);
    java.lang.String str79 = array2DRowFieldMatrix5.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix80 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str79.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    double d6 = arrayRealVector2.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector2.append((org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, arrayRealVector2);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = arrayRealVector11.walkInOptimizedOrder(realVectorPreservingVisitor12, 9, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector13, realVector20);
    java.lang.String str22 = arrayRealVector21.toString();
    double d23 = arrayRealVector12.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    double d24 = arrayRealVector12.getMaxValue();
    double d25 = arrayRealVector8.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector26 = arrayRealVector12.unitVector();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{}"+ "'", str22.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.2E-45f);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1L, (java.lang.Number)10, (java.lang.Number)100.0d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0d+ "'", number4.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10+ "'", number5.equals(10));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.09805993851507631d, 0.23020460987559233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.lang.String str2 = realVectorFormat0.getSuffix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = realVectorFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "}"+ "'", str2.equals("}"));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor3, (-1), 7, 825801805, 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    int i4 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.getSubMatrix(52, 2146435072, 2, (-2075393087));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    double[] d_array3 = levenbergMarquardtOptimizer1.getUpperBound();
    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer1.getConvergenceChecker();
    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer1.getConvergenceChecker();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = levenbergMarquardtOptimizer1.getTarget();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1024.0001f);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1024.0001f+ "'", number2.equals(1024.0001f));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.RealMatrix realMatrix7 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    int i8 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array12 = arrayRealVector11.getDataRef();
    org.apache.commons.math3.optim.SimpleBounds simpleBounds13 = new org.apache.commons.math3.optim.SimpleBounds(d_array2, d_array12);
    int i14 = org.apache.commons.math3.util.MathUtils.hash(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 218283233);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    java.lang.String str9 = arrayRealVector8.toString();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight21 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix24.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix16.add(array2DRowRealMatrix24);
    double[] d_array31 = new double[] { 10.0d, (-1.0d) };
    double[] d_array34 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair35 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array31, d_array34);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array31);
    double[] d_array37 = array2DRowRealMatrix28.operate(d_array31);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array37);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    double[] d_array40 = polynomialFunction38.getCoefficients();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = polynomialFunction38.derivative();
    int i42 = polynomialFunction38.degree();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{}"+ "'", str9.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[] fieldElement_array3 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array4 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array3 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setSubMatrix(fieldElement_array_array4, 1920053288, 9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array4);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    double[][] d_array_array40 = array2DRowRealMatrix14.getDataRef();
    java.lang.String str41 = array2DRowRealMatrix14.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = array2DRowRealMatrix14.copy();
    double d43 = array2DRowRealMatrix14.getFrobeniusNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str41.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException(6, (-1), 0.6483608274590866d);
    java.lang.Throwable[] throwable_array4 = nonSymmetricMatrixException3.getSuppressed();
    double d5 = nonSymmetricMatrixException3.getThreshold();
    int i6 = nonSymmetricMatrixException3.getColumn();
    int i7 = nonSymmetricMatrixException3.getColumn();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    java.lang.String str47 = array2DRowRealMatrix42.toString();
    int i48 = array2DRowRealMatrix42.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix42.getColumnMatrix(0);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix18, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix42);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    double[] d_array61 = new double[] { 10.0d, (-1.0d) };
    double[] d_array64 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair65 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array61, d_array64);
    org.apache.commons.math3.linear.RealMatrix realMatrix66 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array61);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds67 = new org.apache.commons.math3.optim.SimpleBounds(d_array57, d_array61);
    double[] d_array68 = simpleBounds67.getUpper();
    double[] d_array69 = simpleBounds67.getLower();
    double[] d_array70 = array2DRowRealMatrix42.operate(d_array69);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix42.multiplyEntry(0, (-2075393087), 0.6138028564812932d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str47.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    int[] i_array9 = new int[] { 1, 1 };
    int[] i_array10 = new int[] {  };
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable11, (java.lang.Number)(-1), (java.lang.Object[])d_array_array17);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix6.copySubMatrix(i_array9, i_array10, d_array_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.364659570483001d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    java.lang.String str20 = array2DRowRealMatrix6.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = array2DRowRealMatrix6.transpose();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    java.lang.String str41 = array2DRowRealMatrix36.toString();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = array2DRowRealMatrix36.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix48);
    double[][] d_array_array62 = array2DRowRealMatrix36.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, false);
    boolean b65 = array2DRowRealMatrix64.isTransposable();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = array2DRowRealMatrix6.subtract(array2DRowRealMatrix64);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = array2DRowRealMatrix66.scalarMultiply(0.0d);
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight72 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array71);
    double[][] d_array_array73 = new double[][] { d_array71 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array73, false);
    double[][] d_array_array76 = array2DRowRealMatrix75.getDataRef();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight80 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array79);
    double[][] d_array_array81 = new double[][] { d_array79 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array81, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix86 = array2DRowRealMatrix83.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = array2DRowRealMatrix75.add(array2DRowRealMatrix83);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix88 = array2DRowRealMatrix66.add(array2DRowRealMatrix83);
    double[][] d_array_array91 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, (-3));
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix88.setSubMatrix(d_array_array91, (-20), 1079575489);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str20.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str41.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array91);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array27);
    double[][] d_array_array29 = array2DRowRealMatrix28.getData();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor30 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = array2DRowRealMatrix28.walkInColumnOrder(realMatrixPreservingVisitor30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math3.linear.RealVectorFormat();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = arrayRealVector2.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b9 = arrayRealVector8.isNaN();
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector8.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector4, realVector11);
    java.lang.String str13 = arrayRealVector12.toString();
    double d14 = arrayRealVector3.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    java.lang.String str15 = realVectorFormat1.format((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector0.add((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    org.apache.commons.math3.linear.RealVector realVector17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = arrayRealVector12.subtract(realVector17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{}"+ "'", str13.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "{}"+ "'", str15.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    java.lang.String str1 = realMatrixFormat0.getRowSuffix();
    java.lang.String str2 = realMatrixFormat0.getRowPrefix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix13.subtract(diagonalMatrix14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix19.subtract(diagonalMatrix20);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = diagonalMatrix18.subtract(diagonalMatrix19);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = diagonalMatrix13.multiply(diagonalMatrix19);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b27 = arrayRealVector26.isNaN();
    org.apache.commons.math3.linear.RealVector realVector29 = arrayRealVector26.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b31 = arrayRealVector30.isNaN();
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector30.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector26, realVector33);
    java.lang.String str35 = arrayRealVector34.toString();
    double d36 = arrayRealVector25.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector34);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector37.copy();
    boolean b39 = arrayRealVector38.isNaN();
    double d40 = arrayRealVector38.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector41.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b44 = arrayRealVector43.isNaN();
    org.apache.commons.math3.linear.RealVector realVector46 = arrayRealVector43.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b48 = arrayRealVector47.isNaN();
    org.apache.commons.math3.linear.RealVector realVector50 = arrayRealVector47.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector43, realVector50);
    java.lang.String str52 = arrayRealVector51.toString();
    double d53 = arrayRealVector42.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector38, (org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = arrayRealVector25.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector54);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix13, (org.apache.commons.math3.linear.RealVector)arrayRealVector55);
    double[][] d_array_array57 = diagonalMatrix13.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix58 = diagonalMatrix12.multiply(diagonalMatrix13);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix59 = diagonalMatrix6.subtract(diagonalMatrix12);
    double[] d_array60 = diagonalMatrix6.getDataRef();
    java.lang.String str61 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix6);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor62 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d67 = diagonalMatrix6.walkInRowOrder(realMatrixChangingVisitor62, 218283233, 10224396, 0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "}"+ "'", str1.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{"+ "'", str2.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "{}"+ "'", str35.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "{}"+ "'", str52.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "{}"+ "'", str61.equals("{}"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    double[][] d_array_array30 = array2DRowRealMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix37.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = array2DRowRealMatrix29.add(array2DRowRealMatrix37);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array50 = array2DRowRealMatrix41.operate(d_array44);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction51 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array50);
    org.apache.commons.math3.linear.RealVector realVector52 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math3.linear.RealVector realVector53 = array2DRowRealMatrix14.preMultiply(realVector52);
    double[] d_array57 = new double[] { 10.0d, (-1.0d) };
    double[] d_array60 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair61 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array57, d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array57);
    array2DRowRealMatrix14.setRow(0, d_array57);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight67 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix70 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array68, false);
    double[][] d_array_array71 = array2DRowRealMatrix70.getDataRef();
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight75 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array74);
    double[][] d_array_array76 = new double[][] { d_array74 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array76, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix81 = array2DRowRealMatrix78.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = array2DRowRealMatrix70.add(array2DRowRealMatrix78);
    boolean b83 = array2DRowRealMatrix70.isTransposable();
    int i84 = array2DRowRealMatrix70.getRowDimension();
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix14, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix70);
    org.apache.commons.math3.linear.RealMatrix realMatrix87 = array2DRowRealMatrix14.scalarMultiply(1.0d);
    org.apache.commons.math3.linear.RealMatrix realMatrix88 = array2DRowRealMatrix14.transpose();
    double[][] d_array_array89 = array2DRowRealMatrix14.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix90 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array89);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector9.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector5.add(realVector11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector12.getSubVector((-2075393087), (-2075393087));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    java.lang.Class clazz2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathParseException mathParseException3 = new org.apache.commons.math3.exception.MathParseException("{{1},{0}}", 0, clazz2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 2146435072, (-2075393087));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(36, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-36));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3, true);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    int i26 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement32 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor27, 100, 52, 36, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix29 = array2DRowRealMatrix18.getColumnMatrix((-80656125));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix4 = org.apache.commons.math3.linear.MatrixUtils.blockInverse((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix2, (-36));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.41906308635168926d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)1.5607966601082315d, (java.lang.Number)(short)0, (java.lang.Number)10L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement28 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor4, 52, 0, 1, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    double[] d_array23 = new double[] { 10.0d, (-1.0d) };
    double[] d_array26 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair27 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array23, d_array26);
    double[] d_array30 = new double[] { 10.0d, (-1.0d) };
    double[] d_array33 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair34 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array30, d_array33);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array30);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds36 = new org.apache.commons.math3.optim.SimpleBounds(d_array26, d_array30);
    array2DRowRealMatrix15.setRow(0, d_array26);
    double[][] d_array_array38 = array2DRowRealMatrix15.getData();
    double[][] d_array_array39 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException40 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, (-46), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.4153478402429818d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.415348d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat6 = new org.apache.commons.math3.linear.RealMatrixFormat("}", "", "DiagonalMatrix{{20.0}}", "Array2DRowRealMatrix{{1.0,0.0}}", "{{1},{0}}", "{{1,0}}");
    java.lang.String str7 = realMatrixFormat6.getRowPrefix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "DiagonalMatrix{{20.0}}"+ "'", str7.equals("DiagonalMatrix{{20.0}}"));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("org.apache.commons.math3.exception.TooManyIterationsException: illegal state: maximal count (20) exceeded: iterations", 1079575489);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-1.0d));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.0037444403307465d, 0.012125686301187825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0037444403307465d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, realVector9);
    java.lang.String str11 = arrayRealVector10.toString();
    double d12 = arrayRealVector1.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    int i13 = arrayRealVector10.getDimension();
    boolean b15 = arrayRealVector10.equals((java.lang.Object)(-0.41906308635168926d));
    double d16 = arrayRealVector10.getLInfNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{}"+ "'", str11.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    java.lang.Object obj59 = pointVectorValuePair57.getFirst();
    java.lang.Object obj60 = pointVectorValuePair57.getFirst();
    double[] d_array61 = pointVectorValuePair57.getPointRef();
    java.lang.Object obj62 = pointVectorValuePair57.getFirst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj62);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    java.lang.String str20 = array2DRowRealMatrix6.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = array2DRowRealMatrix6.transpose();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    java.lang.String str41 = array2DRowRealMatrix36.toString();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = array2DRowRealMatrix36.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix48);
    double[][] d_array_array62 = array2DRowRealMatrix36.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, false);
    boolean b65 = array2DRowRealMatrix64.isTransposable();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = array2DRowRealMatrix6.subtract(array2DRowRealMatrix64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight70 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array69);
    double[][] d_array_array71 = new double[][] { d_array69 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix73 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array71, false);
    double[][] d_array_array74 = array2DRowRealMatrix73.getDataRef();
    double[] d_array77 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight78 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array77);
    double[][] d_array_array79 = new double[][] { d_array77 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix81 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array79, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix84 = array2DRowRealMatrix81.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix85 = array2DRowRealMatrix73.add(array2DRowRealMatrix81);
    boolean b86 = array2DRowRealMatrix73.isTransposable();
    double[][] d_array_array87 = array2DRowRealMatrix73.getDataRef();
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix66, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix73);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector90 = array2DRowRealMatrix73.getRowVector((-80656125));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str20.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str41.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array87);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, number1);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer6 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(180.00000000000006d, convergenceChecker1, 2.0d, 2.9842769026938973d, 0.49321676688550387d, 0.6641693979729677d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0d, (-0.47310271964715d), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array5);
    double[] d_array8 = diagonalMatrix7.getDataRef();
    boolean b9 = diagonalMatrix7.isSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix(10);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.8905898467706317d, 1.4247702268044662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.0552051916339877d));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    org.apache.commons.math3.optim.MaxEval maxEval1 = new org.apache.commons.math3.optim.MaxEval(1);
    int i2 = maxEval1.getMaxEval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(6, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix(100);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = diagonalMatrix1.walkInRowOrder(realMatrixPreservingVisitor2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(701597.4327659048d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.31209118216414133d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math3.linear.RealVectorFormat("", "hi!", "");
    java.lang.String str4 = realVectorFormat3.getSuffix();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b6 = arrayRealVector5.isNaN();
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector5.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, realVector12);
    java.lang.String str14 = arrayRealVector13.toString();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight18 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19, false);
    double[][] d_array_array22 = array2DRowRealMatrix21.getDataRef();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix32 = array2DRowRealMatrix29.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = array2DRowRealMatrix21.add(array2DRowRealMatrix29);
    double[] d_array36 = new double[] { 10.0d, (-1.0d) };
    double[] d_array39 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair40 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array36, d_array39);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array36);
    double[] d_array42 = array2DRowRealMatrix33.operate(d_array36);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction43 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array42);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = arrayRealVector13.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction43);
    java.lang.String str45 = realVectorFormat3.format((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector46 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = arrayRealVector46.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector44.add((org.apache.commons.math3.linear.RealVector)arrayRealVector46);
    double d49 = arrayRealVector46.getLInfNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{}"+ "'", str14.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight8 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array7);
    double[][] d_array_array9 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, false);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array_array9 };
    org.apache.commons.math3.exception.ZeroException zeroException13 = new org.apache.commons.math3.exception.ZeroException(localizable4, obj_array12);
    org.apache.commons.math3.exception.ZeroException zeroException14 = new org.apache.commons.math3.exception.ZeroException(localizable3, obj_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, number2, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1024.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(Double.POSITIVE_INFINITY, 1.5707963267948966d, 0.012125686301187825d);
    double[] d_array4 = levenbergMarquardtOptimizer3.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-20), (java.lang.Number)(-0.5440211108893698d), true);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    double[][] d_array_array4 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, (-127));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(100, (-3), d_array_array4, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    java.lang.String str20 = array2DRowRealMatrix6.toString();
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = array2DRowRealMatrix6.transpose();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    java.lang.String str41 = array2DRowRealMatrix36.toString();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = array2DRowRealMatrix36.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix48);
    double[][] d_array_array62 = array2DRowRealMatrix36.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array62, false);
    boolean b65 = array2DRowRealMatrix64.isTransposable();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = array2DRowRealMatrix6.subtract(array2DRowRealMatrix64);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = array2DRowRealMatrix66.scalarMultiply(0.0d);
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight72 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array71);
    double[][] d_array_array73 = new double[][] { d_array71 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array73, false);
    double[][] d_array_array76 = array2DRowRealMatrix75.getDataRef();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight80 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array79);
    double[][] d_array_array81 = new double[][] { d_array79 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array81, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix86 = array2DRowRealMatrix83.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = array2DRowRealMatrix75.add(array2DRowRealMatrix83);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix88 = array2DRowRealMatrix66.add(array2DRowRealMatrix83);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor89 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d94 = array2DRowRealMatrix88.walkInColumnOrder(realMatrixChangingVisitor89, 1079575489, 1079575489, (-20), 1077149727);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str20.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str41.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix88);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("; ", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[] d_array23 = array2DRowRealMatrix14.operate(d_array21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b25 = arrayRealVector24.isNaN();
    org.apache.commons.math3.linear.RealVector realVector27 = arrayRealVector24.mapMultiplyToSelf(0.6483608274590866d);
    double d28 = arrayRealVector24.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector32 = arrayRealVector24.append((org.apache.commons.math3.linear.RealVector)arrayRealVector31);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight36 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array35);
    double[][] d_array_array37 = new double[][] { d_array35 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37, false);
    double[][] d_array_array40 = array2DRowRealMatrix39.getDataRef();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight44 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix47.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = array2DRowRealMatrix39.add(array2DRowRealMatrix47);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array54);
    double[] d_array60 = array2DRowRealMatrix51.operate(d_array54);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction61 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array60);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction62 = polynomialFunction61.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = arrayRealVector31.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction62);
    double[] d_array64 = polynomialFunction62.getCoefficients();
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair65 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array23, d_array64);
    double[] d_array66 = pointVectorValuePair65.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector13, realVector20);
    java.lang.String str22 = arrayRealVector21.toString();
    double d23 = arrayRealVector12.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    double d24 = arrayRealVector12.getMaxValue();
    double d25 = arrayRealVector8.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector12.setEntry((-20), 0.8981397615067818d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{}"+ "'", str22.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    int i4 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor5, (-2075393087), 1079575489, 10224396, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix29 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array27, false);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix31 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array27, true);
    int i32 = diagonalMatrix31.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[] d_array3 = diagonalMatrix2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)diagonalMatrix2, 9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(-0.2623067631095239d), true);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    double[][] d_array_array30 = array2DRowRealMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix37.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = array2DRowRealMatrix29.add(array2DRowRealMatrix37);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array50 = array2DRowRealMatrix41.operate(d_array44);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction51 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array50);
    org.apache.commons.math3.linear.RealVector realVector52 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math3.linear.RealVector realVector53 = array2DRowRealMatrix14.preMultiply(realVector52);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix55 = array2DRowRealMatrix14.getColumnMatrix(825801805);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction28 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array27);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction29 = polynomialFunction28.polynomialDerivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = polynomialFunction28.derivative();
    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker32 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer33 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(true, convergenceChecker32);
    boolean b34 = polynomialFunction28.equals((java.lang.Object)convergenceChecker32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException(0, 1077149727, (-0.41906308635168926d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getUpperBound();
    int i3 = levenbergMarquardtOptimizer1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    java.lang.String str47 = array2DRowRealMatrix42.toString();
    int i48 = array2DRowRealMatrix42.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix42.getColumnMatrix(0);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix18, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix42);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    double[] d_array61 = new double[] { 10.0d, (-1.0d) };
    double[] d_array64 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair65 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array61, d_array64);
    org.apache.commons.math3.linear.RealMatrix realMatrix66 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array61);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds67 = new org.apache.commons.math3.optim.SimpleBounds(d_array57, d_array61);
    double[] d_array68 = simpleBounds67.getUpper();
    double[] d_array69 = simpleBounds67.getLower();
    double[] d_array70 = array2DRowRealMatrix42.operate(d_array69);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix42.addToEntry((-20), 9, (-0.5440211108893698d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str47.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = arrayRealVector1.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b4 = arrayRealVector3.isNaN();
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector3.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b8 = arrayRealVector7.isNaN();
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector7.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector3, realVector10);
    java.lang.String str12 = arrayRealVector11.toString();
    double d13 = arrayRealVector2.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector11);
    java.lang.String str14 = realVectorFormat0.format((org.apache.commons.math3.linear.RealVector)arrayRealVector11);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector15.copy();
    int i17 = arrayRealVector16.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = arrayRealVector20.copy();
    int i22 = arrayRealVector21.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector16.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector23.map(univariateFunction24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector26.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b29 = arrayRealVector28.isNaN();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector28.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b33 = arrayRealVector32.isNaN();
    org.apache.commons.math3.linear.RealVector realVector35 = arrayRealVector32.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector28, realVector35);
    java.lang.String str37 = arrayRealVector36.toString();
    double d38 = arrayRealVector27.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector36);
    double d39 = arrayRealVector27.getMaxValue();
    double d40 = arrayRealVector23.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    double d41 = arrayRealVector11.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector23);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b43 = arrayRealVector42.isNaN();
    org.apache.commons.math3.linear.RealVector realVector45 = arrayRealVector42.mapMultiplyToSelf(0.6483608274590866d);
    double d46 = arrayRealVector42.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector50 = arrayRealVector42.append((org.apache.commons.math3.linear.RealVector)arrayRealVector49);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = arrayRealVector11.subtract((org.apache.commons.math3.linear.RealVector)arrayRealVector49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "{}"+ "'", str12.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{}"+ "'", str14.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{}"+ "'", str37.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.47310271964715d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    org.apache.commons.math3.fitting.WeightedObservedPoint weightedObservedPoint6 = new org.apache.commons.math3.fitting.WeightedObservedPoint(0.6641693979729677d, 0.0d, 2.98203761320772d);
    polynomialFitter2.addObservedPoint(weightedObservedPoint6);
    double d8 = weightedObservedPoint6.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.98203761320772d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix9 = array2DRowRealMatrix6.createMatrix(10, 100);
    boolean b11 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix6, 0.6641693979729677d);
    double[][] d_array_array12 = array2DRowRealMatrix6.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    org.apache.commons.math3.linear.RealVector realVector15 = array2DRowRealMatrix13.getRowVector(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(100.00000000000101d, (-0.7671193577593026d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9912209064978486E30d, (java.lang.Number)7, false);
    boolean b30 = array2DRowFieldMatrix1.equals((java.lang.Object)7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix33 = array2DRowFieldMatrix1.createMatrix(6, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement29 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor24, 2075393087, 2146435072, 2075393087, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    java.lang.String str75 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor76 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement77 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor76);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str75.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    boolean b2 = arrayRealVector1.isNaN();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = arrayRealVector1.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = arrayRealVector4.copy();
    int i6 = arrayRealVector5.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector9.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector5.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector13.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector9.add(realVector15);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = arrayRealVector16.mapToSelf(univariateFunction17);
    int i19 = arrayRealVector18.getMaxIndex();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix20 = arrayRealVector1.outerProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 1.8646363859421389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8646363859421389d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix(6);
    double[] d_array2 = diagonalMatrix1.getDataRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    double d2 = arrayRealVector0.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b4 = arrayRealVector3.isNaN();
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector3.mapMultiplyToSelf(0.6483608274590866d);
    double d7 = arrayRealVector3.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector3.append((org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight15 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, false);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = array2DRowRealMatrix26.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = array2DRowRealMatrix18.add(array2DRowRealMatrix26);
    double[] d_array33 = new double[] { 10.0d, (-1.0d) };
    double[] d_array36 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair37 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array33, d_array36);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array33);
    double[] d_array39 = array2DRowRealMatrix30.operate(d_array33);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction40 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array39);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction41 = polynomialFunction40.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector10.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction41);
    double d43 = arrayRealVector10.getNorm();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight47 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array48, false);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight55 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array56, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = array2DRowRealMatrix58.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = array2DRowRealMatrix50.add(array2DRowRealMatrix58);
    double[] d_array65 = new double[] { 10.0d, (-1.0d) };
    double[] d_array68 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair69 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array65, d_array68);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array65);
    double[] d_array71 = array2DRowRealMatrix62.operate(d_array65);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight72 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array65);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = new org.apache.commons.math3.linear.ArrayRealVector(d_array65);
    double d75 = arrayRealVector73.getEntry(0);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector10, arrayRealVector73);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = arrayRealVector0.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 10.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector13, realVector20);
    java.lang.String str22 = arrayRealVector21.toString();
    double d23 = arrayRealVector12.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    double d24 = arrayRealVector12.getMaxValue();
    double d25 = arrayRealVector8.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight37 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix40.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix32.add(array2DRowRealMatrix40);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    double[] d_array53 = array2DRowRealMatrix44.operate(d_array47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction54 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction55 = polynomialFunction54.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = polynomialFunction55.negate();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight60 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array59);
    double[][] d_array_array61 = new double[][] { d_array59 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array61, false);
    double[][] d_array_array64 = array2DRowRealMatrix63.getDataRef();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight68 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array69, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix74 = array2DRowRealMatrix71.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = array2DRowRealMatrix63.add(array2DRowRealMatrix71);
    double[] d_array78 = new double[] { 10.0d, (-1.0d) };
    double[] d_array81 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair82 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array78, d_array81);
    org.apache.commons.math3.linear.RealMatrix realMatrix83 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array78);
    double[] d_array84 = array2DRowRealMatrix75.operate(d_array78);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction85 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array84);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction86 = polynomialFunction55.multiply(polynomialFunction85);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector87 = arrayRealVector8.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{}"+ "'", str22.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector87);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getMaxIterations();
    int i4 = levenbergMarquardtOptimizer1.getEvaluations();
    double[] d_array5 = levenbergMarquardtOptimizer1.getUpperBound();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = diagonalMatrix12.subtract(diagonalMatrix13);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = diagonalMatrix15.subtract(diagonalMatrix16);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = diagonalMatrix14.subtract(diagonalMatrix15);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = diagonalMatrix9.multiply(diagonalMatrix15);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = arrayRealVector20.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b23 = arrayRealVector22.isNaN();
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector22.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b27 = arrayRealVector26.isNaN();
    org.apache.commons.math3.linear.RealVector realVector29 = arrayRealVector26.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector22, realVector29);
    java.lang.String str31 = arrayRealVector30.toString();
    double d32 = arrayRealVector21.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector30);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = arrayRealVector33.copy();
    boolean b35 = arrayRealVector34.isNaN();
    double d36 = arrayRealVector34.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector37.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b40 = arrayRealVector39.isNaN();
    org.apache.commons.math3.linear.RealVector realVector42 = arrayRealVector39.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b44 = arrayRealVector43.isNaN();
    org.apache.commons.math3.linear.RealVector realVector46 = arrayRealVector43.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector39, realVector46);
    java.lang.String str48 = arrayRealVector47.toString();
    double d49 = arrayRealVector38.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector34, (org.apache.commons.math3.linear.RealVector)arrayRealVector47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = arrayRealVector21.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector50);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix9, (org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    double[][] d_array_array53 = diagonalMatrix9.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix54 = diagonalMatrix8.multiply(diagonalMatrix9);
    double[] d_array55 = null;
    double[] d_array56 = diagonalMatrix8.operate(d_array55);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array56);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException59 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.0d);
    java.lang.String str60 = notPositiveException59.toString();
    boolean b61 = array2DRowRealMatrix57.equals((java.lang.Object)notPositiveException59);
    org.apache.commons.math3.util.Pair pair62 = new org.apache.commons.math3.util.Pair((java.lang.Object)d_array5, (java.lang.Object)notPositiveException59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "{}"+ "'", str31.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "{}"+ "'", str48.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: 0 is smaller than the minimum (0)"+ "'", str60.equals("org.apache.commons.math3.exception.NotPositiveException: 0 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    java.lang.String str1 = realMatrixFormat0.getRowSeparator();
    java.lang.String str2 = realMatrixFormat0.getRowPrefix();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    java.lang.String str22 = array2DRowRealMatrix17.toString();
    int i23 = array2DRowRealMatrix17.getColumnDimension();
    java.lang.StringBuffer stringBuffer24 = null;
    java.text.FieldPosition fieldPosition25 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer26 = realMatrixFormat0.format((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix17, stringBuffer24, fieldPosition25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ","+ "'", str1.equals(","));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{"+ "'", str2.equals("{"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str22.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    org.apache.commons.math3.exception.TooManyIterationsException tooManyIterationsException1 = new org.apache.commons.math3.exception.TooManyIterationsException((java.lang.Number)(-46));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    double d21 = arrayRealVector17.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector17.append((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight37 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix40.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix32.add(array2DRowRealMatrix40);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    double[] d_array53 = array2DRowRealMatrix44.operate(d_array47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction54 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction55 = polynomialFunction54.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = arrayRealVector24.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction55);
    double[] d_array57 = polynomialFunction55.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array57);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array57);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight63 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array62);
    double[][] d_array_array64 = new double[][] { d_array62 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array64, false);
    double[][] d_array_array67 = array2DRowRealMatrix66.getDataRef();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight71 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix74 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array72, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix77 = array2DRowRealMatrix74.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = array2DRowRealMatrix66.add(array2DRowRealMatrix74);
    double[] d_array81 = new double[] { 10.0d, (-1.0d) };
    double[] d_array84 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair85 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array81, d_array84);
    org.apache.commons.math3.linear.RealMatrix realMatrix86 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array81);
    double[] d_array87 = array2DRowRealMatrix78.operate(d_array81);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight88 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array87);
    double[] d_array91 = new double[] { 10.0d, (-1.0d) };
    double[] d_array94 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair95 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array91, d_array94);
    double[] d_array96 = pointVectorValuePair95.getPointRef();
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair98 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array87, d_array96, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array99 = array2DRowRealMatrix59.operate(d_array96);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    double[][] d_array_array18 = array2DRowRealMatrix17.getDataRef();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix25.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = array2DRowRealMatrix17.add(array2DRowRealMatrix25);
    double[] d_array32 = new double[] { 10.0d, (-1.0d) };
    double[] d_array35 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair36 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array32, d_array35);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array32);
    double[] d_array38 = array2DRowRealMatrix29.operate(d_array32);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction39 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction39);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction41 = polynomialFunction39.polynomialDerivative();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure43 = polynomialFunction41.value(derivativeStructure42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction41);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight28 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector(d_array21);
    double d31 = arrayRealVector29.getEntry(0);
    java.util.Iterator iterator32 = arrayRealVector29.sparseIterator();
    double d33 = arrayRealVector29.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 10.04987562112089d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Integer[] i_array1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException7 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array8 = matrixDimensionMismatchException7.getWrongDimensions();
    java.lang.Integer[] i_array9 = matrixDimensionMismatchException7.getWrongDimensions();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException14 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array15 = matrixDimensionMismatchException14.getWrongDimensions();
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException16 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array9, i_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException17 = new org.apache.commons.math3.exception.ConvergenceException(localizable2, (java.lang.Object[])i_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException18 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(localizable0, i_array1, i_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-0.0f), (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, (-80656125), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    int i9 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b11 = arrayRealVector10.isNaN();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector10.mapMultiplyToSelf(0.6483608274590866d);
    double d14 = arrayRealVector10.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector10.append((org.apache.commons.math3.linear.RealVector)arrayRealVector17);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction48 = polynomialFunction47.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction48);
    double d50 = arrayRealVector17.getNorm();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight54 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array55, false);
    double[][] d_array_array58 = array2DRowRealMatrix57.getDataRef();
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight62 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = array2DRowRealMatrix57.add(array2DRowRealMatrix65);
    double[] d_array72 = new double[] { 10.0d, (-1.0d) };
    double[] d_array75 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair76 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array72, d_array75);
    org.apache.commons.math3.linear.RealMatrix realMatrix77 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array72);
    double[] d_array78 = array2DRowRealMatrix69.operate(d_array72);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight79 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array72);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector80 = new org.apache.commons.math3.linear.ArrayRealVector(d_array72);
    double d82 = arrayRealVector80.getEntry(0);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector83 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector17, arrayRealVector80);
    boolean b84 = arrayRealVector80.isInfinite();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector85 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, arrayRealVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(3.353939638127037E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.353939638127037E-9d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)52, (java.lang.Number)1.4210854715202004E-14d, false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.linear.FieldVector fieldVector27 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowVector(7, fieldVector27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(0, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix8.subtract(diagonalMatrix9);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix3.multiply(diagonalMatrix9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = arrayRealVector14.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b21 = arrayRealVector20.isNaN();
    org.apache.commons.math3.linear.RealVector realVector23 = arrayRealVector20.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector16, realVector23);
    java.lang.String str25 = arrayRealVector24.toString();
    double d26 = arrayRealVector15.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = arrayRealVector27.copy();
    boolean b29 = arrayRealVector28.isNaN();
    double d30 = arrayRealVector28.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector31.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b38 = arrayRealVector37.isNaN();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, realVector40);
    java.lang.String str42 = arrayRealVector41.toString();
    double d43 = arrayRealVector32.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector28, (org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = arrayRealVector15.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix3, (org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    double[][] d_array_array47 = diagonalMatrix3.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix48 = diagonalMatrix2.multiply(diagonalMatrix3);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor49 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d50 = diagonalMatrix3.walkInRowOrder(realMatrixPreservingVisitor49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{}"+ "'", str25.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{}"+ "'", str42.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix48);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[] d_array3 = diagonalMatrix2.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix4.subtract(diagonalMatrix5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = diagonalMatrix4.multiply(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix2.subtract(diagonalMatrix14);
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(Double.POSITIVE_INFINITY, 1.5707963267948966d, 0.012125686301187825d);
    int i20 = levenbergMarquardtOptimizer19.getEvaluations();
    double[] d_array21 = levenbergMarquardtOptimizer19.getLowerBound();
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter22 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)levenbergMarquardtOptimizer19);
    org.apache.commons.math3.util.Pair pair23 = new org.apache.commons.math3.util.Pair((java.lang.Object)diagonalMatrix15, (java.lang.Object)polynomialFitter22);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = diagonalMatrix15.walkInRowOrder(realMatrixChangingVisitor24, 2075393087, 0, 2146435072, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array21);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math3.linear.RealVectorFormat("", "hi!", "");
    java.text.NumberFormat numberFormat4 = realVectorFormat3.getFormat();
    java.lang.String str5 = realVectorFormat3.getSuffix();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = realVectorFormat3.parse("DiagonalMatrix{{20.0}}", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.4247702268044662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.156902588223048d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor5, (-3), 10, (-80656125), (-36));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 0, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException(6, (-1), 0.6483608274590866d);
    java.lang.Throwable[] throwable_array4 = nonSymmetricMatrixException3.getSuppressed();
    int i5 = nonSymmetricMatrixException3.getRow();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    int i4 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector6 = array2DRowFieldMatrix1.getRowVector(2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array6 = new org.apache.commons.math3.FieldElement[] { fieldElement5 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array7 = array2DRowFieldMatrix1.preMultiply(fieldElement_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array6);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    double[] d_array29 = new double[] { 10.0d, (-1.0d) };
    double[] d_array32 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair33 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array29, d_array32);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array29);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds35 = new org.apache.commons.math3.optim.SimpleBounds(d_array25, d_array29);
    array2DRowRealMatrix14.setRow(0, d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix14.copy();
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds53 = new org.apache.commons.math3.optim.SimpleBounds(d_array43, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array43);
    double[] d_array55 = array2DRowRealMatrix14.operate(d_array43);
    org.apache.commons.math3.optim.InitialGuess initialGuess56 = new org.apache.commons.math3.optim.InitialGuess(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(short)0);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException7 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)matrixDimensionMismatchException7);
    int i9 = matrixDimensionMismatchException7.getExpectedRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      int i11 = matrixDimensionMismatchException7.getWrongDimension(2075393087);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (short)0+ "'", number2.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    double[][] d_array_array40 = array2DRowRealMatrix14.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    boolean b44 = array2DRowRealMatrix42.equals((java.lang.Object)9);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight48 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array49, false);
    double[][] d_array_array52 = array2DRowRealMatrix51.getDataRef();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight56 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = array2DRowRealMatrix59.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = array2DRowRealMatrix51.add(array2DRowRealMatrix59);
    java.lang.String str64 = array2DRowRealMatrix59.toString();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight68 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array69, false);
    double[][] d_array_array72 = array2DRowRealMatrix71.getDataRef();
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight76 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array75);
    double[][] d_array_array77 = new double[][] { d_array75 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix79 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array77, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix82 = array2DRowRealMatrix79.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = array2DRowRealMatrix71.add(array2DRowRealMatrix79);
    org.apache.commons.math3.linear.RealMatrix realMatrix84 = array2DRowRealMatrix59.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix71);
    double[][] d_array_array85 = array2DRowRealMatrix59.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array85, false);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix88 = array2DRowRealMatrix42.add(array2DRowRealMatrix87);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor89 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d90 = array2DRowRealMatrix87.walkInColumnOrder(realMatrixPreservingVisitor89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str64.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix88);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    polynomialFitter2.addObservedPoint((-1.0d), 20.0d);
    polynomialFitter2.addObservedPoint(180.00000000000003d, 0.6230660667639296d, 0.19611987703015263d);
    org.apache.commons.math3.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = polynomialFitter2.getObservations();
    polynomialFitter2.clearObservations();
    polynomialFitter2.addObservedPoint(0.7853981633974483d, Double.NEGATIVE_INFINITY, 180.0d);
    double[] d_array19 = new double[] { 10.0d, (-1.0d) };
    double[] d_array22 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair23 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array19, d_array22);
    double[] d_array24 = pointVectorValuePair23.getValueRef();
    org.apache.commons.math3.optim.InitialGuess initialGuess25 = new org.apache.commons.math3.optim.InitialGuess(d_array24);
    double[] d_array26 = initialGuess25.getInitialGuess();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction27 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array26);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = polynomialFitter2.fit(1077149727, d_array26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array5 = matrixDimensionMismatchException4.getWrongDimensions();
    java.lang.Integer[] i_array6 = matrixDimensionMismatchException4.getWrongDimensions();
    int i7 = matrixDimensionMismatchException4.getExpectedRowDimension();
    int i8 = matrixDimensionMismatchException4.getExpectedColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      int i10 = matrixDimensionMismatchException4.getWrongDimension(2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    boolean b2 = arrayRealVector1.isNaN();
    double d3 = arrayRealVector1.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = arrayRealVector4.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b11 = arrayRealVector10.isNaN();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector10.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector6, realVector13);
    java.lang.String str15 = arrayRealVector14.toString();
    double d16 = arrayRealVector5.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector14);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector14);
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector14.mapMultiplyToSelf(0.6230660667639296d);
    arrayRealVector14.set(3.077169518370367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "{}"+ "'", str15.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(4.2E-45f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.2E-45f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)40.0d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 40.0d+ "'", number2.equals(40.0d));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    java.lang.String str47 = array2DRowRealMatrix42.toString();
    int i48 = array2DRowRealMatrix42.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix42.getColumnMatrix(0);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix18, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix42);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    double[] d_array61 = new double[] { 10.0d, (-1.0d) };
    double[] d_array64 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair65 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array61, d_array64);
    org.apache.commons.math3.linear.RealMatrix realMatrix66 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array61);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds67 = new org.apache.commons.math3.optim.SimpleBounds(d_array57, d_array61);
    double[] d_array68 = simpleBounds67.getUpper();
    double[] d_array69 = simpleBounds67.getLower();
    double[] d_array70 = array2DRowRealMatrix42.operate(d_array69);
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight74 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array73);
    double[][] d_array_array75 = new double[][] { d_array73 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix77 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array75, false);
    double[][] d_array_array78 = array2DRowRealMatrix77.getDataRef();
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight82 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array81);
    double[][] d_array_array83 = new double[][] { d_array81 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix85 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array83, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix88 = array2DRowRealMatrix85.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix89 = array2DRowRealMatrix77.add(array2DRowRealMatrix85);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix90 = array2DRowRealMatrix42.add(array2DRowRealMatrix85);
    double[][] d_array_array91 = array2DRowRealMatrix90.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str47.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array91);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getMaxIterations();
    int i4 = levenbergMarquardtOptimizer1.getEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      int i5 = levenbergMarquardtOptimizer1.getTargetSize();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix29 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array27, false);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix31 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array27, true);
    org.apache.commons.math3.optim.InitialGuess initialGuess32 = new org.apache.commons.math3.optim.InitialGuess(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-3));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    double d21 = arrayRealVector17.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector17.append((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight37 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix40.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix32.add(array2DRowRealMatrix40);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    double[] d_array53 = array2DRowRealMatrix44.operate(d_array47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction54 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction55 = polynomialFunction54.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = arrayRealVector24.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction55);
    double[] d_array57 = polynomialFunction55.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array57);
    double[] d_array59 = null;
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair60 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array5, d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.power((-36));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix26, 0);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    double[] d_array51 = new double[] { 10.0d, (-1.0d) };
    double[] d_array54 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair55 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array51, d_array54);
    org.apache.commons.math3.linear.RealMatrix realMatrix56 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array51);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds57 = new org.apache.commons.math3.optim.SimpleBounds(d_array47, d_array51);
    double[] d_array58 = simpleBounds57.getUpper();
    double[] d_array59 = array2DRowRealMatrix26.operate(d_array58);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array58);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor61 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d62 = array2DRowRealMatrix60.walkInOptimizedOrder(realMatrixChangingVisitor61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = array2DRowRealMatrix6.getEntry((-80656125), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector9.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b12 = arrayRealVector11.isNaN();
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector11.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b16 = arrayRealVector15.isNaN();
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector15.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector11, realVector18);
    java.lang.String str20 = arrayRealVector19.toString();
    double d21 = arrayRealVector10.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector19);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector22.copy();
    int i24 = arrayRealVector23.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector29 = arrayRealVector27.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = arrayRealVector23.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector31.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = arrayRealVector27.add(realVector33);
    double d35 = arrayRealVector10.getDistance(realVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = arrayRealVector0.append(arrayRealVector10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector37.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b40 = arrayRealVector39.isNaN();
    org.apache.commons.math3.linear.RealVector realVector42 = arrayRealVector39.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b44 = arrayRealVector43.isNaN();
    org.apache.commons.math3.linear.RealVector realVector46 = arrayRealVector43.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector39, realVector46);
    java.lang.String str48 = arrayRealVector47.toString();
    double d49 = arrayRealVector38.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector47);
    double d50 = arrayRealVector10.getLInfDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector38);
    double d51 = arrayRealVector10.getMaxValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "{}"+ "'", str20.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "{}"+ "'", str48.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat6 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowFieldMatrix{}", "{{1,0}}", "Array2DRowRealMatrix{{1.0,0.0}}", ",", "org.apache.commons.math3.exception.TooManyIterationsException: illegal state: maximal count (20) exceeded: iterations", "Array2DRowRealMatrix{{1.0,0.0}}");
    java.text.NumberFormat numberFormat7 = realMatrixFormat6.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[] d_array23 = array2DRowRealMatrix14.operate(d_array21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector(2, 0.0d);
    org.apache.commons.math3.linear.RealVector realVector27 = array2DRowRealMatrix14.operate((org.apache.commons.math3.linear.RealVector)arrayRealVector26);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction57 = polynomialFunction56.polynomialDerivative();
    double d59 = polynomialFunction56.value(2.2250738585072014E-308d);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat60 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat61 = realVectorFormat60.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat62 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat61);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector65 = arrayRealVector63.mapAddToSelf(100.0d);
    int i66 = arrayRealVector63.getMinIndex();
    java.lang.String str67 = realVectorFormat62.format((org.apache.commons.math3.linear.RealVector)arrayRealVector63);
    boolean b68 = polynomialFunction56.equals((java.lang.Object)arrayRealVector63);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector69 = arrayRealVector63.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector70 = array2DRowRealMatrix14.preMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "{}"+ "'", str67.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector69);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array5, false);
    org.apache.commons.math3.optim.InitialGuess initialGuess9 = new org.apache.commons.math3.optim.InitialGuess(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[][] d_array_array3 = diagonalMatrix2.getData();
    double[][] d_array_array4 = diagonalMatrix2.getData();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = diagonalMatrix2.walkInRowOrder(realMatrixChangingVisitor5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    double[] d_array10 = diagonalMatrix9.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix11.subtract(diagonalMatrix12);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix14.subtract(diagonalMatrix15);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = diagonalMatrix17.subtract(diagonalMatrix18);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix11.multiply(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = diagonalMatrix9.subtract(diagonalMatrix21);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = diagonalMatrix6.multiply(diagonalMatrix9);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight27 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28, false);
    double[][] d_array_array31 = array2DRowRealMatrix30.getDataRef();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight35 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = array2DRowRealMatrix38.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix30.add(array2DRowRealMatrix38);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight46 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array45);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array45);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix48 = diagonalMatrix23.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    java.lang.String str9 = arrayRealVector8.toString();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight21 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix24.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix16.add(array2DRowRealMatrix24);
    double[] d_array31 = new double[] { 10.0d, (-1.0d) };
    double[] d_array34 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair35 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array31, d_array34);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array31);
    double[] d_array37 = array2DRowRealMatrix28.operate(d_array31);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array37);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    double[] d_array40 = polynomialFunction38.getCoefficients();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight44 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45, false);
    double[][] d_array_array48 = array2DRowRealMatrix47.getDataRef();
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight52 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array53, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix58 = array2DRowRealMatrix55.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = array2DRowRealMatrix47.add(array2DRowRealMatrix55);
    double[] d_array62 = new double[] { 10.0d, (-1.0d) };
    double[] d_array65 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair66 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array62, d_array65);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array62);
    double[] d_array68 = array2DRowRealMatrix59.operate(d_array62);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction69 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array68);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = polynomialFunction38.add(polynomialFunction69);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = polynomialFunction38.value(derivativeStructure71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{}"+ "'", str9.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction70);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    double[] d_array29 = new double[] { 10.0d, (-1.0d) };
    double[] d_array32 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair33 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array29, d_array32);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array29);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds35 = new org.apache.commons.math3.optim.SimpleBounds(d_array25, d_array29);
    array2DRowRealMatrix14.setRow(0, d_array25);
    double[] d_array39 = new double[] { 10.0d, (-1.0d) };
    double[] d_array42 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair43 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array39, d_array42);
    double[] d_array46 = new double[] { 10.0d, (-1.0d) };
    double[] d_array49 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair50 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array46, d_array49);
    org.apache.commons.math3.linear.RealMatrix realMatrix51 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array46);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds52 = new org.apache.commons.math3.optim.SimpleBounds(d_array42, d_array46);
    double[] d_array53 = simpleBounds52.getUpper();
    org.apache.commons.math3.optim.SimpleBounds simpleBounds54 = new org.apache.commons.math3.optim.SimpleBounds(d_array25, d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer2 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(false, convergenceChecker1);
    // The following exception was thrown during execution in test generation
    try {
      double d3 = gaussNewtonOptimizer2.getRMS();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter2 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer1);
    org.apache.commons.math3.fitting.WeightedObservedPoint weightedObservedPoint6 = new org.apache.commons.math3.fitting.WeightedObservedPoint(0.6641693979729677d, 0.0d, 2.98203761320772d);
    polynomialFitter2.addObservedPoint(weightedObservedPoint6);
    polynomialFitter2.addObservedPoint((-1.0d), 0.6483608274590866d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer6 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(0.7853981633974483d, convergenceChecker1, 0.4797964254510368d, 0.0d, 1.2204256833959632d, 0.6483608274590866d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array5);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = diagonalMatrix17.walkInColumnOrder(realMatrixPreservingVisitor18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(4.2E-45f, 0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.6947506487576603d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(10.0d, 1.0E20d, 10.0d);
    double[] d_array4 = levenbergMarquardtOptimizer3.getStartPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    java.lang.Object obj59 = pointVectorValuePair57.getFirst();
    double[] d_array60 = pointVectorValuePair57.getValue();
    java.lang.Object obj61 = pointVectorValuePair57.getValue();
    double[] d_array62 = pointVectorValuePair57.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    boolean b38 = array2DRowRealMatrix25.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix6.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix25);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat40 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat41 = realVectorFormat40.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat42 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector45 = arrayRealVector43.mapAddToSelf(100.0d);
    int i46 = arrayRealVector43.getMinIndex();
    java.lang.String str47 = realVectorFormat42.format((org.apache.commons.math3.linear.RealVector)arrayRealVector43);
    java.text.NumberFormat numberFormat48 = realVectorFormat42.getFormat();
    boolean b49 = array2DRowRealMatrix6.equals((java.lang.Object)realVectorFormat42);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix50 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix51 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix52 = diagonalMatrix50.subtract(diagonalMatrix51);
    int i53 = diagonalMatrix51.getRowDimension();
    double[][] d_array_array54 = diagonalMatrix51.getData();
    int i55 = diagonalMatrix51.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix56 = array2DRowRealMatrix6.add((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix51);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "{}"+ "'", str47.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(14.154262241479262d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 1920053288, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException4 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2);
    boolean b5 = array2DRowFieldMatrix1.equals((java.lang.Object)2);
    org.apache.commons.math3.linear.FieldVector fieldVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowVector(2146435072, fieldVector7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array3 = arrayRealVector2.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector2);
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.mapAddToSelf(0.6230660667639296d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array10 = arrayRealVector9.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector9.mapAddToSelf(0.6230660667639296d);
    org.apache.commons.math3.linear.RealVector realVector14 = realVector6.projection(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    int i2 = levenbergMarquardtOptimizer1.getIterations();
    int i3 = levenbergMarquardtOptimizer1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.FieldElement fieldElement27 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array28 = new org.apache.commons.math3.FieldElement[] { fieldElement27 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow((-80656125), fieldElement_array28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    org.apache.commons.math3.optim.MaxEval maxEval1 = new org.apache.commons.math3.optim.MaxEval(2075393087);
    int i2 = maxEval1.getMaxEval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2075393087);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.2302046098755923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.23020460987559233d, 6, 10224396);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat2 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat1);
    java.lang.String str3 = realVectorFormat2.getPrefix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = realVectorFormat2.parse("{}");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{"+ "'", str3.equals("{"));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction28 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array27);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction29 = polynomialFunction28.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction30 = polynomialFunction29.negate();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight42 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array43, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = array2DRowRealMatrix45.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix37.add(array2DRowRealMatrix45);
    double[] d_array52 = new double[] { 10.0d, (-1.0d) };
    double[] d_array55 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair56 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array52, d_array55);
    org.apache.commons.math3.linear.RealMatrix realMatrix57 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array52);
    double[] d_array58 = array2DRowRealMatrix49.operate(d_array52);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction59 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array58);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction60 = polynomialFunction59.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction61 = polynomialFunction60.negate();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight65 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array64);
    double[][] d_array_array66 = new double[][] { d_array64 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array66, false);
    double[][] d_array_array69 = array2DRowRealMatrix68.getDataRef();
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight73 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array74, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = array2DRowRealMatrix76.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix68.add(array2DRowRealMatrix76);
    double[] d_array83 = new double[] { 10.0d, (-1.0d) };
    double[] d_array86 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair87 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array83, d_array86);
    org.apache.commons.math3.linear.RealMatrix realMatrix88 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array83);
    double[] d_array89 = array2DRowRealMatrix80.operate(d_array83);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction90 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array89);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction91 = polynomialFunction60.multiply(polynomialFunction90);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction92 = polynomialFunction29.subtract(polynomialFunction91);
    double[] d_array93 = polynomialFunction91.getCoefficients();
    org.apache.commons.math3.optim.nonlinear.vector.Target target94 = new org.apache.commons.math3.optim.nonlinear.vector.Target(d_array93);
    org.apache.commons.math3.linear.RealMatrix realMatrix95 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array93);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix96 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array93);
    org.apache.commons.math3.linear.RealMatrix realMatrix97 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix97);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight5 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, false);
    double[][] d_array_array9 = array2DRowRealMatrix8.getDataRef();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix19 = array2DRowRealMatrix16.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix8.add(array2DRowRealMatrix16);
    double[] d_array23 = new double[] { 10.0d, (-1.0d) };
    double[] d_array26 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair27 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array23, d_array26);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array23);
    double[] d_array29 = array2DRowRealMatrix20.operate(d_array23);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    double[][] d_array_array37 = array2DRowRealMatrix36.getDataRef();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight41 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array40);
    double[][] d_array_array42 = new double[][] { d_array40 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array42, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix47 = array2DRowRealMatrix44.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix36.add(array2DRowRealMatrix44);
    double[] d_array51 = new double[] { 10.0d, (-1.0d) };
    double[] d_array54 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair55 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array51, d_array54);
    org.apache.commons.math3.linear.RealMatrix realMatrix56 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array51);
    double[] d_array57 = array2DRowRealMatrix48.operate(d_array51);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction58 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = new org.apache.commons.math3.linear.ArrayRealVector(d_array23, d_array57);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array61 = gaussNewtonOptimizer1.computeSigma(d_array57, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat2 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat1);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat3 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat1);
    java.lang.String str4 = realMatrixFormat3.getRowSuffix();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix7 = realMatrixFormat3.parse("{{1,0}}", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "}"+ "'", str4.equals("}"));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    java.text.NumberFormat numberFormat1 = null;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math3.util.CompositeFormat.parseNumber("{{1},{0}}", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight8 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array7);
    double[][] d_array_array9 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, false);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix11.add(array2DRowRealMatrix19);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight27 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28, false);
    double[][] d_array_array31 = array2DRowRealMatrix30.getDataRef();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight35 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = array2DRowRealMatrix38.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix30.add(array2DRowRealMatrix38);
    boolean b43 = array2DRowRealMatrix30.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = array2DRowRealMatrix11.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix30);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat45 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat46 = realVectorFormat45.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat47 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector50 = arrayRealVector48.mapAddToSelf(100.0d);
    int i51 = arrayRealVector48.getMinIndex();
    java.lang.String str52 = realVectorFormat47.format((org.apache.commons.math3.linear.RealVector)arrayRealVector48);
    java.text.NumberFormat numberFormat53 = realVectorFormat47.getFormat();
    boolean b54 = array2DRowRealMatrix11.equals((java.lang.Object)realVectorFormat47);
    java.lang.String str55 = realVectorFormat47.getSeparator();
    boolean b56 = array2DRowFieldMatrix1.equals((java.lang.Object)realVectorFormat47);
    org.apache.commons.math3.linear.FieldVector fieldVector58 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector(0, fieldVector58);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "{}"+ "'", str52.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "; "+ "'", str55.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    double[][] d_array_array30 = array2DRowRealMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix37.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = array2DRowRealMatrix29.add(array2DRowRealMatrix37);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array50 = array2DRowRealMatrix41.operate(d_array44);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction51 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array50);
    org.apache.commons.math3.linear.RealVector realVector52 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math3.linear.RealVector realVector53 = array2DRowRealMatrix14.preMultiply(realVector52);
    double[] d_array57 = new double[] { 10.0d, (-1.0d) };
    double[] d_array60 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair61 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array57, d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array57);
    array2DRowRealMatrix14.setRow(0, d_array57);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight67 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix70 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array68, false);
    double[][] d_array_array71 = array2DRowRealMatrix70.getDataRef();
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight75 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array74);
    double[][] d_array_array76 = new double[][] { d_array74 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array76, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix81 = array2DRowRealMatrix78.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = array2DRowRealMatrix70.add(array2DRowRealMatrix78);
    boolean b83 = array2DRowRealMatrix70.isTransposable();
    int i84 = array2DRowRealMatrix70.getRowDimension();
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix14, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix70);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optim.nonlinear.vector.Weight weight86 = new org.apache.commons.math3.optim.nonlinear.vector.Weight((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable8, (java.lang.Number)(-1), (java.lang.Object[])d_array_array14);
    double[][] d_array_array18 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, (java.lang.Object[])d_array_array14);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix22 = diagonalMatrix3.add((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-3));
    int i2 = incrementor1.getCount();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.setMaximalCount((-3));
    incrementor1.setMaximalCount(1920053288);
    int i8 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount((-1));
    int i3 = incrementor0.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.2204256833959632d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8418672146105153d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    java.lang.String str75 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldVector fieldVector77 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowVector(36, fieldVector77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str75.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 0.6641693979729677d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    arrayRealVector2.set(0.646517793329658d);
    double d5 = arrayRealVector2.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.646517793329658d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    java.lang.Object obj7 = pointVectorValuePair6.getFirst();
    java.lang.Object obj8 = pointVectorValuePair6.getValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector9, realVector16);
    java.lang.String str18 = arrayRealVector17.toString();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    double[] d_array49 = polynomialFunction47.getCoefficients();
    double d51 = polynomialFunction47.value(70.45944794184393d);
    boolean b52 = pointVectorValuePair6.equals((java.lang.Object)polynomialFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{}"+ "'", str18.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("{", 2147483647);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    double d4 = arrayRealVector0.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector0.append((org.apache.commons.math3.linear.RealVector)arrayRealVector7);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    double[][] d_array_array16 = array2DRowRealMatrix15.getDataRef();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight20 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = array2DRowRealMatrix23.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = array2DRowRealMatrix15.add(array2DRowRealMatrix23);
    double[] d_array30 = new double[] { 10.0d, (-1.0d) };
    double[] d_array33 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair34 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array30, d_array33);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array30);
    double[] d_array36 = array2DRowRealMatrix27.operate(d_array30);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction37 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array36);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = polynomialFunction37.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector7.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector7.copy();
    double d41 = arrayRealVector40.getL1Norm();
    int i42 = arrayRealVector40.getDimension();
    org.apache.commons.math3.linear.RealVector realVector44 = arrayRealVector40.append(0.7692923795925918d);
    double d45 = arrayRealVector40.getMinValue();
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException51 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array52 = matrixDimensionMismatchException51.getWrongDimensions();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException57 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array58 = matrixDimensionMismatchException57.getWrongDimensions();
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException59 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array52, i_array58);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)arrayRealVector40, localizable46, (java.lang.Object[])i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Double[] d_array3 = new java.lang.Double[] { 0.6641693979729677d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])d_array3);
    org.apache.commons.math3.exception.ZeroException zeroException6 = new org.apache.commons.math3.exception.ZeroException(localizable0, (java.lang.Object[])d_array3);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.225073858507202E-308d, 180.00000000000006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2250738585072024E-308d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    double d2 = arrayRealVector0.getL1Norm();
    boolean b3 = arrayRealVector0.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.7828074285813547d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(14.154262241479262d, (-0.2623067631095239d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(Double.POSITIVE_INFINITY, 1.5707963267948966d, 0.012125686301187825d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    double[] d_array5 = levenbergMarquardtOptimizer3.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array5);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    org.apache.commons.math3.optim.MaxEval maxEval1 = new org.apache.commons.math3.optim.MaxEval(2);
    int i2 = maxEval1.getMaxEval();
    int i3 = maxEval1.getMaxEval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(40.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    org.apache.commons.math3.linear.NonSquareMatrixException nonSquareMatrixException2 = new org.apache.commons.math3.linear.NonSquareMatrixException(52, 10224396);
    int i3 = nonSquareMatrixException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10224396);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    boolean b20 = array2DRowRealMatrix14.isSquare();
    double[][] d_array_array21 = array2DRowRealMatrix14.getData();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector6.mapSubtractToSelf(0.0d);
    boolean b11 = arrayRealVector6.isInfinite();
    double d12 = arrayRealVector6.getLInfNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array3 = arrayRealVector2.getDataRef();
    java.util.Iterator iterator4 = arrayRealVector2.sparseIterator();
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector2.append(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b8 = arrayRealVector7.isNaN();
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector7.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b12 = arrayRealVector11.isNaN();
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector11.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector7, realVector14);
    java.lang.String str16 = arrayRealVector15.toString();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight20 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21, false);
    double[][] d_array_array24 = array2DRowRealMatrix23.getDataRef();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight28 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array29, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = array2DRowRealMatrix31.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix23.add(array2DRowRealMatrix31);
    double[] d_array38 = new double[] { 10.0d, (-1.0d) };
    double[] d_array41 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair42 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array38, d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array38);
    double[] d_array44 = array2DRowRealMatrix35.operate(d_array38);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction45 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array44);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector46 = arrayRealVector15.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction45);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, (org.apache.commons.math3.linear.RealVector)arrayRealVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{}"+ "'", str16.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector46);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.getRowMatrix(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { d_array_array7 };
    org.apache.commons.math3.exception.ZeroException zeroException11 = new org.apache.commons.math3.exception.ZeroException(localizable2, obj_array10);
    org.apache.commons.math3.exception.ZeroException zeroException12 = new org.apache.commons.math3.exception.ZeroException(localizable1, obj_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    java.lang.String str20 = array2DRowRealMatrix15.toString();
    boolean b21 = array2DRowRealMatrix15.isSquare();
    double[][] d_array_array22 = array2DRowRealMatrix15.getData();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str20.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix6.walkInColumnOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.8981397615067818d, (java.lang.Number)4.2E-45f, false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement29 = array2DRowFieldMatrix1.getEntry(1077149727, 2075393087);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction28 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array27);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction29 = polynomialFunction28.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction30 = polynomialFunction29.negate();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure31 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure32 = polynomialFunction29.value(derivativeStructure31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction30);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)100, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = array2DRowRealMatrix6.walkInColumnOrder(realMatrixPreservingVisitor19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.012125686301187825d, (-0.41906308635168926d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array5 = matrixDimensionMismatchException4.getExpectedDimensions();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = matrixDimensionMismatchException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(100, 1);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix13.subtract(diagonalMatrix14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix12.subtract(diagonalMatrix13);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = diagonalMatrix7.multiply(diagonalMatrix13);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = arrayRealVector18.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b21 = arrayRealVector20.isNaN();
    org.apache.commons.math3.linear.RealVector realVector23 = arrayRealVector20.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b25 = arrayRealVector24.isNaN();
    org.apache.commons.math3.linear.RealVector realVector27 = arrayRealVector24.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector20, realVector27);
    java.lang.String str29 = arrayRealVector28.toString();
    double d30 = arrayRealVector19.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector28);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector31.copy();
    boolean b33 = arrayRealVector32.isNaN();
    double d34 = arrayRealVector32.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = arrayRealVector35.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b38 = arrayRealVector37.isNaN();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b42 = arrayRealVector41.isNaN();
    org.apache.commons.math3.linear.RealVector realVector44 = arrayRealVector41.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector37, realVector44);
    java.lang.String str46 = arrayRealVector45.toString();
    double d47 = arrayRealVector36.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector32, (org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector19.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector48);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix7, (org.apache.commons.math3.linear.RealVector)arrayRealVector49);
    double[][] d_array_array51 = diagonalMatrix7.getData();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException5, localizable6, (java.lang.Object[])d_array_array51);
    org.apache.commons.math3.exception.ZeroException zeroException53 = new org.apache.commons.math3.exception.ZeroException(localizable2, (java.lang.Object[])d_array_array51);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException54 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, number1, (java.lang.Object[])d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "{}"+ "'", str29.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "{}"+ "'", str46.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getEvaluations();
    org.apache.commons.math3.optim.MaxEval maxEval5 = new org.apache.commons.math3.optim.MaxEval(2);
    int i6 = maxEval5.getMaxEval();
    int i7 = maxEval5.getMaxEval();
    org.apache.commons.math3.optim.OptimizationData[] optimizationData_array8 = new org.apache.commons.math3.optim.OptimizationData[] { maxEval5 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair9 = levenbergMarquardtOptimizer1.optimize(optimizationData_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(optimizationData_array8);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    int i5 = matrixDimensionMismatchException4.getExpectedColumnDimension();
    java.lang.Integer[] i_array6 = matrixDimensionMismatchException4.getExpectedDimensions();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(82.99018591476309d, 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6483608274590866d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat13 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat14 = realVectorFormat13.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat15 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat14);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector16.mapAddToSelf(100.0d);
    int i19 = arrayRealVector16.getMinIndex();
    java.lang.String str20 = realVectorFormat15.format((org.apache.commons.math3.linear.RealVector)arrayRealVector16);
    java.text.NumberFormat numberFormat21 = realVectorFormat15.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat22 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{1.0,0.0}}", "Array2DRowFieldMatrix{}", "Array2DRowFieldMatrix{}", ",", "DiagonalMatrix{{20.0}}", "DiagonalMatrix{{20.0}}", numberFormat21);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat23 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{10.0,-1.0}}", ",", "", "{{1},{0}}", "", "Array2DRowRealMatrix{{0.0,0.0}}", numberFormat21);
    java.text.ParsePosition parsePosition24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number25 = org.apache.commons.math3.util.CompositeFormat.parseNumber("{{1},{0}}", numberFormat21, parsePosition24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "{}"+ "'", str20.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat21);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix9 = array2DRowRealMatrix6.createMatrix(10, 100);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)array2DRowRealMatrix6);
    double[] d_array13 = new double[] { 10.0d, (-1.0d) };
    double[] d_array16 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair17 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array13, d_array16);
    double[] d_array20 = new double[] { 10.0d, (-1.0d) };
    double[] d_array23 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair24 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array20, d_array23);
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array20);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds26 = new org.apache.commons.math3.optim.SimpleBounds(d_array16, d_array20);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight27 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array16);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b29 = arrayRealVector28.isNaN();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector28.mapMultiplyToSelf(0.6483608274590866d);
    double d32 = arrayRealVector28.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector35 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector28.append((org.apache.commons.math3.linear.RealVector)arrayRealVector35);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight40 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array41, false);
    double[][] d_array_array44 = array2DRowRealMatrix43.getDataRef();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight48 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array49, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = array2DRowRealMatrix51.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = array2DRowRealMatrix43.add(array2DRowRealMatrix51);
    double[] d_array58 = new double[] { 10.0d, (-1.0d) };
    double[] d_array61 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair62 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array58, d_array61);
    org.apache.commons.math3.linear.RealMatrix realMatrix63 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array58);
    double[] d_array64 = array2DRowRealMatrix55.operate(d_array58);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction65 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array64);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction66 = polynomialFunction65.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = arrayRealVector35.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction66);
    double[] d_array68 = polynomialFunction66.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector69 = new org.apache.commons.math3.linear.ArrayRealVector(d_array16, d_array68);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array70 = array2DRowRealMatrix6.preMultiply(d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536744E-7f);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    int i27 = org.apache.commons.math3.util.MathUtils.hash(d_array21);
    double[] d_array28 = array2DRowRealMatrix18.operate(d_array21);
    double[][] d_array_array29 = array2DRowRealMatrix18.getData();
    double d30 = array2DRowRealMatrix18.getFrobeniusNorm();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor31 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d36 = array2DRowRealMatrix18.walkInRowOrder(realMatrixPreservingVisitor31, 1077149727, 1920053288, (-46), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 2.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    java.lang.String str75 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor76 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement81 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor76, 10224396, 2146435072, 1920053288, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str75.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.multiply(diagonalMatrix6);
    double[] d_array11 = diagonalMatrix10.getDataRef();
    org.apache.commons.math3.linear.RealMatrix realMatrix12 = diagonalMatrix10.copy();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix13.subtract(diagonalMatrix14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix19.subtract(diagonalMatrix20);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = diagonalMatrix18.subtract(diagonalMatrix19);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = diagonalMatrix13.multiply(diagonalMatrix19);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b27 = arrayRealVector26.isNaN();
    org.apache.commons.math3.linear.RealVector realVector29 = arrayRealVector26.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b31 = arrayRealVector30.isNaN();
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector30.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector26, realVector33);
    java.lang.String str35 = arrayRealVector34.toString();
    double d36 = arrayRealVector25.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector34);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector37.copy();
    boolean b39 = arrayRealVector38.isNaN();
    double d40 = arrayRealVector38.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector41.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b44 = arrayRealVector43.isNaN();
    org.apache.commons.math3.linear.RealVector realVector46 = arrayRealVector43.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b48 = arrayRealVector47.isNaN();
    org.apache.commons.math3.linear.RealVector realVector50 = arrayRealVector47.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector43, realVector50);
    java.lang.String str52 = arrayRealVector51.toString();
    double d53 = arrayRealVector42.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector38, (org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = arrayRealVector25.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector54);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix13, (org.apache.commons.math3.linear.RealVector)arrayRealVector55);
    double[][] d_array_array57 = diagonalMatrix13.getData();
    double[] d_array58 = diagonalMatrix13.getDataRef();
    boolean b60 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix13, 1.4153478402429818d);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix61 = diagonalMatrix10.subtract(diagonalMatrix13);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor62 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d63 = diagonalMatrix10.walkInRowOrder(realMatrixChangingVisitor62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "{}"+ "'", str35.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "{}"+ "'", str52.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix61);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction28 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array27);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction29 = polynomialFunction28.polynomialDerivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = polynomialFunction29.derivative();
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1L, (java.lang.Number)10, (java.lang.Number)100.0d);
    java.lang.Number number35 = outOfRangeException34.getLo();
    java.lang.Number number36 = outOfRangeException34.getLo();
    java.lang.Number number37 = outOfRangeException34.getArgument();
    boolean b38 = polynomialFunction29.equals((java.lang.Object)outOfRangeException34);
    int i39 = polynomialFunction29.degree();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + 10+ "'", number35.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 10+ "'", number36.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 1L+ "'", number37.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9912209064978486E30d, (java.lang.Number)7, false);
    boolean b30 = array2DRowFieldMatrix1.equals((java.lang.Object)7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement33 = array2DRowFieldMatrix1.getEntry((-3), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = gaussNewtonOptimizer1.getTarget();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight8 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array7);
    double[][] d_array_array9 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, false);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix11.add(array2DRowRealMatrix19);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight27 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28, false);
    double[][] d_array_array31 = array2DRowRealMatrix30.getDataRef();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight35 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = array2DRowRealMatrix38.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = array2DRowRealMatrix30.add(array2DRowRealMatrix38);
    boolean b43 = array2DRowRealMatrix30.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = array2DRowRealMatrix11.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix30);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat45 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat46 = realVectorFormat45.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat47 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector50 = arrayRealVector48.mapAddToSelf(100.0d);
    int i51 = arrayRealVector48.getMinIndex();
    java.lang.String str52 = realVectorFormat47.format((org.apache.commons.math3.linear.RealVector)arrayRealVector48);
    java.text.NumberFormat numberFormat53 = realVectorFormat47.getFormat();
    boolean b54 = array2DRowRealMatrix11.equals((java.lang.Object)realVectorFormat47);
    java.lang.String str55 = realVectorFormat47.getSeparator();
    boolean b56 = array2DRowFieldMatrix1.equals((java.lang.Object)realVectorFormat47);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix58 = array2DRowFieldMatrix1.getRowMatrix(1077149727);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "{}"+ "'", str52.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "; "+ "'", str55.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    java.lang.Object obj7 = pointVectorValuePair6.getValue();
    double[] d_array8 = pointVectorValuePair6.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array5 = matrixDimensionMismatchException4.getExpectedDimensions();
    java.lang.Integer[] i_array6 = matrixDimensionMismatchException4.getWrongDimensions();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = array2DRowRealMatrix14.walkInColumnOrder(realMatrixChangingVisitor23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.8418672146105153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9509740566629034d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement27 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = arrayRealVector4.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    double d10 = arrayRealVector6.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector6.append((org.apache.commons.math3.linear.RealVector)arrayRealVector13);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector4, arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector1.combineToSelf(0.6483608274590866d, 0.6947506487576603d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.RealVector realVector18 = arrayRealVector1.mapSubtract(1.0E20d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = arrayRealVector19.copy();
    int i21 = arrayRealVector20.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector20.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector25);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction28 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = arrayRealVector27.map(univariateFunction28);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    double[][] d_array_array37 = array2DRowRealMatrix36.getDataRef();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight41 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array40);
    double[][] d_array_array42 = new double[][] { d_array40 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array42, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix47 = array2DRowRealMatrix44.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix36.add(array2DRowRealMatrix44);
    double[] d_array51 = new double[] { 10.0d, (-1.0d) };
    double[] d_array54 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair55 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array51, d_array54);
    org.apache.commons.math3.linear.RealMatrix realMatrix56 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array51);
    double[] d_array57 = array2DRowRealMatrix48.operate(d_array51);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction58 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = arrayRealVector27.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction58);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b63 = arrayRealVector62.isNaN();
    org.apache.commons.math3.linear.RealVector realVector65 = arrayRealVector62.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector66 = arrayRealVector27.combine(0.0d, 5.886096315311465d, realVector65);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector66, false);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector69 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector70 = arrayRealVector69.copy();
    int i71 = arrayRealVector70.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector74 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector76 = arrayRealVector74.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector77 = arrayRealVector70.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector74);
    arrayRealVector74.set(Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector80 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector66, arrayRealVector74);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector81 = arrayRealVector1.add((org.apache.commons.math3.linear.RealVector)arrayRealVector66);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector82 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector66);
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor83 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d86 = arrayRealVector82.walkInDefaultOrder(realVectorPreservingVisitor83, 0, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector81);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array5, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix19 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array5);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    java.lang.String str39 = array2DRowRealMatrix34.toString();
    int i40 = array2DRowRealMatrix34.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = array2DRowRealMatrix34.getColumnMatrix(0);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight46 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array45);
    double[][] d_array_array47 = new double[][] { d_array45 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array47, false);
    double[][] d_array_array50 = array2DRowRealMatrix49.getDataRef();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight54 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array55, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix60 = array2DRowRealMatrix57.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix61 = array2DRowRealMatrix49.add(array2DRowRealMatrix57);
    double[] d_array64 = new double[] { 10.0d, (-1.0d) };
    double[] d_array67 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair68 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array64, d_array67);
    org.apache.commons.math3.linear.RealMatrix realMatrix69 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array64);
    double[] d_array70 = array2DRowRealMatrix61.operate(d_array64);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array70);
    org.apache.commons.math3.linear.RealVector realVector72 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array70);
    org.apache.commons.math3.linear.RealVector realVector73 = array2DRowRealMatrix34.preMultiply(realVector72);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveLowerTriangularSystem(realMatrix19, realVector73);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str39.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix8.subtract(diagonalMatrix9);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix3.multiply(diagonalMatrix9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = arrayRealVector14.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b21 = arrayRealVector20.isNaN();
    org.apache.commons.math3.linear.RealVector realVector23 = arrayRealVector20.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector16, realVector23);
    java.lang.String str25 = arrayRealVector24.toString();
    double d26 = arrayRealVector15.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = arrayRealVector27.copy();
    boolean b29 = arrayRealVector28.isNaN();
    double d30 = arrayRealVector28.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector31.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b38 = arrayRealVector37.isNaN();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, realVector40);
    java.lang.String str42 = arrayRealVector41.toString();
    double d43 = arrayRealVector32.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector28, (org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = arrayRealVector15.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix3, (org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    double[][] d_array_array47 = diagonalMatrix3.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix48 = diagonalMatrix2.multiply(diagonalMatrix3);
    double[] d_array49 = null;
    double[] d_array50 = diagonalMatrix2.operate(d_array49);
    int i51 = diagonalMatrix2.getColumnDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = arrayRealVector53.copy();
    int i55 = arrayRealVector54.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = arrayRealVector58.copy();
    int i60 = arrayRealVector59.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector61 = arrayRealVector54.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector59);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction62 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = arrayRealVector61.map(univariateFunction62);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight67 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix70 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array68, false);
    double[][] d_array_array71 = array2DRowRealMatrix70.getDataRef();
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight75 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array74);
    double[][] d_array_array76 = new double[][] { d_array74 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array76, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix81 = array2DRowRealMatrix78.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = array2DRowRealMatrix70.add(array2DRowRealMatrix78);
    double[] d_array85 = new double[] { 10.0d, (-1.0d) };
    double[] d_array88 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair89 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array85, d_array88);
    org.apache.commons.math3.linear.RealMatrix realMatrix90 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array85);
    double[] d_array91 = array2DRowRealMatrix82.operate(d_array85);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction92 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array91);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector93 = arrayRealVector61.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction92);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector94 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector93);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix2.setColumnVector(7, (org.apache.commons.math3.linear.RealVector)arrayRealVector93);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{}"+ "'", str25.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{}"+ "'", str42.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector93);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer3 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(convergenceChecker2);
    org.apache.commons.math3.fitting.PolynomialFitter polynomialFitter4 = new org.apache.commons.math3.fitting.PolynomialFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)gaussNewtonOptimizer3);
    polynomialFitter4.addObservedPoint((-1.0d), 20.0d);
    polynomialFitter4.addObservedPoint(180.00000000000003d, 0.6230660667639296d, 0.19611987703015263d);
    org.apache.commons.math3.fitting.WeightedObservedPoint[] weightedObservedPoint_array12 = polynomialFitter4.getObservations();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.2182829050172777d, (java.lang.Object[])weightedObservedPoint_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array12);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.08629615972623572d, (java.lang.Number)100.0d, (java.lang.Number)1.8622957433108482d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector9, realVector16);
    java.lang.String str18 = arrayRealVector17.toString();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector6.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = arrayRealVector6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{}"+ "'", str18.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector50);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.append(0.5403023058681398d);
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector1.mapSubtract(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9912209064978486E30d, (java.lang.Number)7, false);
    boolean b30 = array2DRowFieldMatrix1.equals((java.lang.Object)7);
    org.apache.commons.math3.FieldElement fieldElement31 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix32 = array2DRowFieldMatrix1.scalarAdd(fieldElement31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0000001f, 2.8E-45f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    double[][] d_array_array30 = array2DRowRealMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix37.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = array2DRowRealMatrix29.add(array2DRowRealMatrix37);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array50 = array2DRowRealMatrix41.operate(d_array44);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction51 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array50);
    org.apache.commons.math3.linear.RealVector realVector52 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math3.linear.RealVector realVector53 = array2DRowRealMatrix14.preMultiply(realVector52);
    double[] d_array57 = new double[] { 10.0d, (-1.0d) };
    double[] d_array60 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair61 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array57, d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array57);
    array2DRowRealMatrix14.setRow(0, d_array57);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight67 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix70 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array68, false);
    double[][] d_array_array71 = array2DRowRealMatrix70.getDataRef();
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight75 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array74);
    double[][] d_array_array76 = new double[][] { d_array74 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array76, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix81 = array2DRowRealMatrix78.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = array2DRowRealMatrix70.add(array2DRowRealMatrix78);
    boolean b83 = array2DRowRealMatrix70.isTransposable();
    int i84 = array2DRowRealMatrix70.getRowDimension();
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix14, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix70);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector87 = array2DRowRealMatrix14.getColumnVector(5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, 825801805);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(3.156902588223048d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.126282718956538d));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = array2DRowRealMatrix14.walkInOptimizedOrder(realMatrixChangingVisitor19, 0, 2075393087, 1, (-80656125));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException(218283233, 218283233, 0.6989798898329005d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    arrayRealVector5.set(Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    double[][] d_array_array20 = array2DRowRealMatrix19.getDataRef();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight24 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array25, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = array2DRowRealMatrix27.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = array2DRowRealMatrix19.add(array2DRowRealMatrix27);
    double[] d_array34 = new double[] { 10.0d, (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair38 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array34, d_array37);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array34);
    double[] d_array40 = array2DRowRealMatrix31.operate(d_array34);
    double[][] d_array_array41 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array41);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable11, (java.lang.Number)(byte)(-1), (java.lang.Object[])d_array_array41);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext44 = maxCountExceededException43.getContext();
    boolean b45 = arrayRealVector5.equals((java.lang.Object)exceptionContext44);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array49 = arrayRealVector48.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector(d_array49, false);
    org.apache.commons.math3.linear.RealVector realVector53 = arrayRealVector51.mapAddToSelf(0.23020460987559233d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, realVector53);
    java.util.Iterator iterator55 = arrayRealVector54.iterator();
    org.apache.commons.math3.linear.RealVectorPreservingVisitor realVectorPreservingVisitor56 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d59 = arrayRealVector54.walkInOptimizedOrder(realVectorPreservingVisitor56, 5, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator55);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.1948839253625035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    double d21 = arrayRealVector17.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector17.append((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight37 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix40.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix32.add(array2DRowRealMatrix40);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    double[] d_array53 = array2DRowRealMatrix44.operate(d_array47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction54 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction55 = polynomialFunction54.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = arrayRealVector24.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction55);
    double[] d_array57 = polynomialFunction55.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array57);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array57);
    boolean b60 = array2DRowRealMatrix59.isTransposable();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix59, 1079575489);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    double[][] d_array_array40 = array2DRowRealMatrix14.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    boolean b43 = array2DRowRealMatrix42.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = array2DRowRealMatrix42.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix58 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array27);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix59 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix60 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix61 = diagonalMatrix59.subtract(diagonalMatrix60);
    double[][] d_array_array62 = diagonalMatrix61.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix63 = diagonalMatrix58.add(diagonalMatrix61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0000001f, 1.0000002f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    java.lang.Object obj59 = pointVectorValuePair57.getFirst();
    double[] d_array60 = pointVectorValuePair57.getPoint();
    java.lang.Object obj61 = pointVectorValuePair57.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj61);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.add(diagonalMatrix9);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix9.multiplyEntry(2, 100, 1.5707963267948966d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2146435072, (java.lang.Number)9.536744E-7f, true);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    double d13 = arrayRealVector9.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector9.append((org.apache.commons.math3.linear.RealVector)arrayRealVector16);
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight21 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, false);
    double[][] d_array_array25 = array2DRowRealMatrix24.getDataRef();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = array2DRowRealMatrix32.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix24.add(array2DRowRealMatrix32);
    double[] d_array39 = new double[] { 10.0d, (-1.0d) };
    double[] d_array42 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair43 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array39, d_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array39);
    double[] d_array45 = array2DRowRealMatrix36.operate(d_array39);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction46 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array45);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = polynomialFunction46.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector16.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector1.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction50 = polynomialFunction47.polynomialDerivative();
    int i51 = polynomialFunction50.degree();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    boolean b4 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldVector fieldVector5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector6 = array2DRowFieldMatrix1.preMultiply(fieldVector5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = diagonalMatrix2.subtract(diagonalMatrix3);
    double[][] d_array_array5 = diagonalMatrix4.getData();
    double[][] d_array_array6 = diagonalMatrix4.getData();
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException7 = new org.apache.commons.math3.exception.MathUnsupportedOperationException(localizable1, (java.lang.Object[])d_array_array6);
    org.apache.commons.math3.exception.ZeroException zeroException8 = new org.apache.commons.math3.exception.ZeroException(localizable0, (java.lang.Object[])d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector76 = array2DRowFieldMatrix1.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array3 = arrayRealVector2.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(d_array3, false);
    org.apache.commons.math3.optim.nonlinear.vector.Target target6 = new org.apache.commons.math3.optim.nonlinear.vector.Target(d_array3);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(825801805, (-80656125));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-825801805));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1024.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1024.0002f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix13.subtract(diagonalMatrix14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = diagonalMatrix15.subtract(diagonalMatrix16);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = diagonalMatrix10.multiply(diagonalMatrix16);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = arrayRealVector21.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b24 = arrayRealVector23.isNaN();
    org.apache.commons.math3.linear.RealVector realVector26 = arrayRealVector23.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b28 = arrayRealVector27.isNaN();
    org.apache.commons.math3.linear.RealVector realVector30 = arrayRealVector27.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector23, realVector30);
    java.lang.String str32 = arrayRealVector31.toString();
    double d33 = arrayRealVector22.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector31);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector35 = arrayRealVector34.copy();
    boolean b36 = arrayRealVector35.isNaN();
    double d37 = arrayRealVector35.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector38.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b41 = arrayRealVector40.isNaN();
    org.apache.commons.math3.linear.RealVector realVector43 = arrayRealVector40.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b45 = arrayRealVector44.isNaN();
    org.apache.commons.math3.linear.RealVector realVector47 = arrayRealVector44.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector40, realVector47);
    java.lang.String str49 = arrayRealVector48.toString();
    double d50 = arrayRealVector39.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector48);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector35, (org.apache.commons.math3.linear.RealVector)arrayRealVector48);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector52 = arrayRealVector22.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector51);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix10, (org.apache.commons.math3.linear.RealVector)arrayRealVector52);
    double[][] d_array_array54 = diagonalMatrix10.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix55 = diagonalMatrix9.multiply(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix56 = diagonalMatrix3.subtract(diagonalMatrix9);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor57 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d62 = diagonalMatrix56.walkInRowOrder(realMatrixPreservingVisitor57, 2146435072, (-3), 0, 1077149727);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "{}"+ "'", str32.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "{}"+ "'", str49.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix56);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(7, 0, 10224396, 7);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(180.00000000000006d, 2.225073858507202E-308d, 1.9912209064978486E30d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 10, 1920053288);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat4 = realVectorFormat3.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat4);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat6 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat4);
    java.lang.String str7 = realMatrixFormat6.getRowSuffix();
    java.text.NumberFormat numberFormat8 = realMatrixFormat6.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat9 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "", "Array2DRowRealMatrix{{1.0,0.0}}", numberFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "}"+ "'", str7.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat8);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9999999999999999d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    double d9 = arrayRealVector8.getMinValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker0 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer1 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(convergenceChecker0);
    double[] d_array2 = levenbergMarquardtOptimizer1.getStartPoint();
    int i3 = levenbergMarquardtOptimizer1.getIterations();
    org.apache.commons.math3.fitting.CurveFitter curveFitter4 = new org.apache.commons.math3.fitting.CurveFitter((org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer)levenbergMarquardtOptimizer1);
    curveFitter4.addObservedPoint(10.0d, 40.0d, 1.0037444403307465d);
    org.apache.commons.math3.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter4.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.012199500482811352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    int i27 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field28 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field28);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array30 = array2DRowFieldMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight42 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array43, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = array2DRowRealMatrix45.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix37.add(array2DRowRealMatrix45);
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix37.transpose();
    boolean b51 = array2DRowFieldMatrix29.equals((java.lang.Object)realMatrix50);
    int i52 = array2DRowFieldMatrix29.getRowDimension();
    int i53 = array2DRowFieldMatrix29.getRowDimension();
    java.lang.String str54 = array2DRowFieldMatrix29.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix55 = array2DRowFieldMatrix1.multiply(array2DRowFieldMatrix29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str54.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.9999999999999999d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat12 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat13 = realVectorFormat12.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat14 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat13);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector15.mapAddToSelf(100.0d);
    int i18 = arrayRealVector15.getMinIndex();
    java.lang.String str19 = realVectorFormat14.format((org.apache.commons.math3.linear.RealVector)arrayRealVector15);
    java.text.NumberFormat numberFormat20 = realVectorFormat14.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat21 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{1.0,0.0}}", "Array2DRowFieldMatrix{}", "Array2DRowFieldMatrix{}", ",", "DiagonalMatrix{{20.0}}", "DiagonalMatrix{{20.0}}", numberFormat20);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat22 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{10.0,-1.0}}", ",", "", "{{1},{0}}", "", "Array2DRowRealMatrix{{0.0,0.0}}", numberFormat20);
    java.lang.String str23 = realMatrixFormat22.getPrefix();
    java.lang.String str24 = realMatrixFormat22.getColumnSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{}"+ "'", str19.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Array2DRowRealMatrix{{10.0,-1.0}}"+ "'", str23.equals("Array2DRowRealMatrix{{10.0,-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "Array2DRowRealMatrix{{0.0,0.0}}"+ "'", str24.equals("Array2DRowRealMatrix{{0.0,0.0}}"));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException(number0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer6 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(Double.NEGATIVE_INFINITY, convergenceChecker1, 0.0d, 22.140692632779267d, 180.0d, 0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector7.copy();
    int i9 = arrayRealVector8.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector12.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = arrayRealVector8.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    arrayRealVector12.set(Double.NEGATIVE_INFINITY);
    double[] d_array18 = arrayRealVector12.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array20 = levenbergMarquardtOptimizer6.computeCovariances(d_array18, 1.5707963267948966d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.4797964254510368d, 0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer gaussNewtonOptimizer2 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer(true, convergenceChecker1);
    double[] d_array3 = gaussNewtonOptimizer2.getLowerBound();
    double[] d_array6 = new double[] { 10.0d, (-1.0d) };
    double[] d_array9 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair10 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array6, d_array9);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array9, false);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array14 = gaussNewtonOptimizer2.computeCovariances(d_array9, 0.6230660667639296d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double d19 = array2DRowRealMatrix6.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix6.addToEntry((-3), 10224396, 2.0032095088804733d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = arrayRealVector12.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b15 = arrayRealVector14.isNaN();
    org.apache.commons.math3.linear.RealVector realVector17 = arrayRealVector14.mapMultiplyToSelf(0.6483608274590866d);
    double d18 = arrayRealVector14.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector22 = arrayRealVector14.append((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector12, arrayRealVector14);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector35 = arrayRealVector33.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = arrayRealVector29.add(realVector35);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = arrayRealVector36.mapToSelf(univariateFunction37);
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector38.mapSubtractToSelf(0.0d);
    double d41 = arrayRealVector12.getL1Distance(realVector40);
    org.apache.commons.math3.linear.RealVector realVector42 = diagonalMatrix9.preMultiply(realVector40);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector6, realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    double[][] d_array_array40 = array2DRowRealMatrix14.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    boolean b44 = array2DRowRealMatrix42.equals((java.lang.Object)9);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight48 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array49, false);
    double[][] d_array_array52 = array2DRowRealMatrix51.getDataRef();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight56 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = array2DRowRealMatrix59.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = array2DRowRealMatrix51.add(array2DRowRealMatrix59);
    java.lang.String str64 = array2DRowRealMatrix59.toString();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight68 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array69, false);
    double[][] d_array_array72 = array2DRowRealMatrix71.getDataRef();
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight76 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array75);
    double[][] d_array_array77 = new double[][] { d_array75 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix79 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array77, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix82 = array2DRowRealMatrix79.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = array2DRowRealMatrix71.add(array2DRowRealMatrix79);
    org.apache.commons.math3.linear.RealMatrix realMatrix84 = array2DRowRealMatrix59.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix71);
    double[][] d_array_array85 = array2DRowRealMatrix59.getDataRef();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array85, false);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix88 = array2DRowRealMatrix42.add(array2DRowRealMatrix87);
    // The following exception was thrown during execution in test generation
    try {
      double d89 = array2DRowRealMatrix88.getTrace();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str64.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix88);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat6 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat7 = realVectorFormat6.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat8 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat7);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat9 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat7);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat10 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{1.0,0.0}}", "}", "}", "Array2DRowRealMatrix{{0.0,0.0}}", "org.apache.commons.math3.exception.TooManyIterationsException: illegal state: maximal count (20) exceeded: iterations", "org.apache.commons.math3.exception.MathParseException: illegal state: string \"\" unparseable (from position 6)", numberFormat7);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat11 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat7);
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat12 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat7);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    arrayRealVector5.set(Double.NEGATIVE_INFINITY);
    double[] d_array11 = arrayRealVector5.getDataRef();
    org.apache.commons.math3.linear.RealVector realVector13 = arrayRealVector5.mapDivide(180.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator14 = realVector13.sparseIterator();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 810831012);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.27632259394013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7612704073974556d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat2 = new org.apache.commons.math3.linear.RealMatrixFormat(numberFormat1);
    java.lang.String str3 = realMatrixFormat2.getSuffix();
    java.lang.String str4 = realMatrixFormat2.getColumnSeparator();
    java.lang.String str5 = realMatrixFormat2.getRowSeparator();
    java.text.NumberFormat numberFormat6 = realMatrixFormat2.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "}"+ "'", str3.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ","+ "'", str4.equals(","));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ","+ "'", str5.equals(","));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.2250738585072024E-308d, 1.8622957433108482d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.7692923795925918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8474488389755684d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix4.subtract(diagonalMatrix5);
    double[][] d_array_array7 = diagonalMatrix6.getData();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(byte)100, (java.lang.Object[])d_array_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = arrayRealVector4.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    double d10 = arrayRealVector6.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector6.append((org.apache.commons.math3.linear.RealVector)arrayRealVector13);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector4, arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector1.combineToSelf(0.6483608274590866d, 0.6947506487576603d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector19 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = arrayRealVector19.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = arrayRealVector23.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b26 = arrayRealVector25.isNaN();
    org.apache.commons.math3.linear.RealVector realVector28 = arrayRealVector25.mapMultiplyToSelf(0.6483608274590866d);
    double d29 = arrayRealVector25.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector25.append((org.apache.commons.math3.linear.RealVector)arrayRealVector32);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector23, arrayRealVector25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector35 = arrayRealVector20.combineToSelf(0.6483608274590866d, 0.6947506487576603d, (org.apache.commons.math3.linear.RealVector)arrayRealVector25);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector20.mapSubtract(1.0E20d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector17, (org.apache.commons.math3.linear.RealVector)arrayRealVector20);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector16.append(arrayRealVector38);
    double d40 = arrayRealVector38.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.08629615972623572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09012913284746246d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array6 = new org.apache.commons.math3.FieldElement[] { fieldElement5 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array7 = array2DRowFieldMatrix1.operate(fieldElement_array6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array6);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    double d2 = arrayRealVector0.getL1Norm();
    java.util.Iterator iterator3 = arrayRealVector0.iterator();
    double[] d_array4 = arrayRealVector0.getDataRef();
    boolean b5 = arrayRealVector0.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight28 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = weight28.getWeight();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    double[][] d_array_array37 = array2DRowRealMatrix36.getDataRef();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight41 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array40);
    double[][] d_array_array42 = new double[][] { d_array40 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array42, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix47 = array2DRowRealMatrix44.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix36.add(array2DRowRealMatrix44);
    java.lang.String str49 = array2DRowRealMatrix44.toString();
    boolean b50 = array2DRowRealMatrix44.isSquare();
    org.apache.commons.math3.util.Pair pair51 = new org.apache.commons.math3.util.Pair((java.lang.Object)weight28, (java.lang.Object)b50);
    org.apache.commons.math3.util.Pair pair52 = new org.apache.commons.math3.util.Pair(pair51);
    org.apache.commons.math3.util.Pair pair53 = new org.apache.commons.math3.util.Pair(pair51);
    java.lang.Object obj54 = pair53.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str49.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj54);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    int i3 = diagonalMatrix1.getRowDimension();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight7 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix10 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array8, false);
    double[][] d_array_array11 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array8);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix1.setSubMatrix(d_array_array8, 6, (-80656125));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat4 = realVectorFormat3.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat("hi!", "Array2DRowRealMatrix{{1.0,0.0}}", ",", numberFormat4);
    java.text.NumberFormat numberFormat6 = realVectorFormat5.getFormat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = realVectorFormat5.parse("org.apache.commons.math3.linear.MatrixDimensionMismatchException: got 0x6 but expected 0x0");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(5, 2147483647);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948823d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    boolean b2 = arrayRealVector0.isInfinite();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = arrayRealVector3.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b6 = arrayRealVector5.isNaN();
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector5.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, realVector12);
    java.lang.String str14 = arrayRealVector13.toString();
    double d15 = arrayRealVector4.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector13);
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector0.append((org.apache.commons.math3.linear.RealVector)arrayRealVector13);
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = arrayRealVector0.walkInDefaultOrder(realVectorChangingVisitor17, 2146435072, (-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{}"+ "'", str14.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    boolean b41 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26, 100.0d);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix42 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix43 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix44 = diagonalMatrix42.subtract(diagonalMatrix43);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix45 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix46 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix47 = diagonalMatrix45.subtract(diagonalMatrix46);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix48 = diagonalMatrix44.subtract(diagonalMatrix45);
    int i49 = diagonalMatrix48.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix26, (org.apache.commons.math3.linear.AnyMatrix)diagonalMatrix48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    double d2 = arrayRealVector0.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b4 = arrayRealVector3.isNaN();
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector3.mapMultiplyToSelf(0.6483608274590866d);
    double d7 = arrayRealVector3.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector3.append((org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight15 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array16, false);
    double[][] d_array_array19 = array2DRowRealMatrix18.getDataRef();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = array2DRowRealMatrix26.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = array2DRowRealMatrix18.add(array2DRowRealMatrix26);
    double[] d_array33 = new double[] { 10.0d, (-1.0d) };
    double[] d_array36 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair37 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array33, d_array36);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array33);
    double[] d_array39 = array2DRowRealMatrix30.operate(d_array33);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction40 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array39);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction41 = polynomialFunction40.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector10.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = arrayRealVector0.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    double d6 = arrayRealVector2.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector2.append((org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, arrayRealVector2);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b13 = arrayRealVector12.isNaN();
    org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector12.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector12, realVector19);
    java.lang.String str21 = arrayRealVector20.toString();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    double[] d_array43 = new double[] { 10.0d, (-1.0d) };
    double[] d_array46 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair47 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array43, d_array46);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array43);
    double[] d_array49 = array2DRowRealMatrix40.operate(d_array43);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction50 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array49);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = arrayRealVector20.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction50);
    double[] d_array52 = polynomialFunction50.getCoefficients();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight56 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, false);
    double[][] d_array_array60 = array2DRowRealMatrix59.getDataRef();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight64 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array63);
    double[][] d_array_array65 = new double[][] { d_array63 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array65, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = array2DRowRealMatrix67.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = array2DRowRealMatrix59.add(array2DRowRealMatrix67);
    double[] d_array74 = new double[] { 10.0d, (-1.0d) };
    double[] d_array77 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair78 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array74, d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array74);
    double[] d_array80 = array2DRowRealMatrix71.operate(d_array74);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction81 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array80);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction82 = polynomialFunction50.add(polynomialFunction81);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector83 = arrayRealVector11.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction82);
    org.apache.commons.math3.linear.RealVector realVector85 = arrayRealVector83.mapSubtract(70.45944794184393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "{}"+ "'", str21.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(3.552713678800501E-15d, 2147483647, 10224396);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.FieldElement fieldElement27 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array28 = new org.apache.commons.math3.FieldElement[] { fieldElement27 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array29 = array2DRowFieldMatrix1.preMultiply(fieldElement_array28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(9223372036854775807L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.Field field5 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix6.getDataRef();
    boolean b8 = array2DRowFieldMatrix6.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix(2147483647, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.RealMatrix realMatrix7 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction8 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array2);
    int i9 = polynomialFunction8.degree();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    double[] d_array1 = new double[] { (-1.0d) };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.8622957433108482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9578140369986211d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.lang.String str2 = realVectorFormat0.getSeparator();
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = realVectorFormat0.parse("Array2DRowRealMatrix{{10.0,-1.0}}", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "; "+ "'", str2.equals("; "));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = new org.apache.commons.math3.linear.RealMatrixFormat();
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array22);
    double[] d_array28 = array2DRowRealMatrix19.operate(d_array22);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix30 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array28, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix32 = diagonalMatrix30.scalarMultiply(Double.NEGATIVE_INFINITY);
    java.lang.StringBuffer stringBuffer33 = null;
    java.text.FieldPosition fieldPosition34 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer35 = realMatrixFormat0.format(realMatrix32, stringBuffer33, fieldPosition34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(1077149727, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1077149727);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1L), (java.lang.Number)1.9912209064978486E30d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array9);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair17 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array5, d_array9, false);
    boolean b19 = pointVectorValuePair17.equals((java.lang.Object)22.140692632779267d);
    double[] d_array20 = pointVectorValuePair17.getValue();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array20, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0842572897345921d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7845180639373481d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix14.getColumnMatrix(0);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    double[][] d_array_array30 = array2DRowRealMatrix29.getDataRef();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix37.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = array2DRowRealMatrix29.add(array2DRowRealMatrix37);
    double[] d_array44 = new double[] { 10.0d, (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair48 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array44, d_array47);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array50 = array2DRowRealMatrix41.operate(d_array44);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction51 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array50);
    org.apache.commons.math3.linear.RealVector realVector52 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array50);
    org.apache.commons.math3.linear.RealVector realVector53 = array2DRowRealMatrix14.preMultiply(realVector52);
    double[] d_array57 = new double[] { 10.0d, (-1.0d) };
    double[] d_array60 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair61 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array57, d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array57);
    array2DRowRealMatrix14.setRow(0, d_array57);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight67 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[] d_array70 = new double[] { 10.0d, (-1.0d) };
    double[] d_array73 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair74 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array70, d_array73);
    double[] d_array77 = new double[] { 10.0d, (-1.0d) };
    double[] d_array80 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair81 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array77, d_array80);
    org.apache.commons.math3.linear.RealMatrix realMatrix82 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array77);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds83 = new org.apache.commons.math3.optim.SimpleBounds(d_array73, d_array77);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair85 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array66, d_array77, false);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction86 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array77);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair88 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array57, d_array77, false);
    java.lang.Object obj89 = pointVectorValuePair88.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj89);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    int i3 = diagonalMatrix1.getRowDimension();
    boolean b4 = diagonalMatrix1.isTransposable();
    double[][] d_array_array5 = diagonalMatrix1.getData();
    int i6 = diagonalMatrix1.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    double d4 = arrayRealVector0.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector0.append((org.apache.commons.math3.linear.RealVector)arrayRealVector7);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector9.copy();
    int i11 = arrayRealVector10.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector14.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = arrayRealVector10.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector14);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector18.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = arrayRealVector14.add(realVector20);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector21.mapToSelf(univariateFunction22);
    int i24 = arrayRealVector23.getMaxIndex();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = arrayRealVector7.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    double[] d_array49 = new double[] { 10.0d, (-1.0d) };
    double[] d_array52 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair53 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array49, d_array52);
    org.apache.commons.math3.linear.RealMatrix realMatrix54 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array49);
    double[] d_array55 = array2DRowRealMatrix46.operate(d_array49);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction56 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array55);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array27, d_array55);
    java.lang.Object obj58 = pointVectorValuePair57.getFirst();
    java.lang.Object obj59 = pointVectorValuePair57.getFirst();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector60 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector61 = arrayRealVector60.copy();
    int i62 = arrayRealVector61.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector66 = arrayRealVector65.copy();
    int i67 = arrayRealVector66.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector68 = arrayRealVector61.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector66);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction69 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector70 = arrayRealVector68.map(univariateFunction69);
    boolean b71 = pointVectorValuePair57.equals((java.lang.Object)univariateFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    double d21 = arrayRealVector17.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector17.append((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight29 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array30, false);
    double[][] d_array_array33 = array2DRowRealMatrix32.getDataRef();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight37 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array38, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix40.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix32.add(array2DRowRealMatrix40);
    double[] d_array47 = new double[] { 10.0d, (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair51 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array47, d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array47);
    double[] d_array53 = array2DRowRealMatrix44.operate(d_array47);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction54 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction55 = polynomialFunction54.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = arrayRealVector24.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction55);
    double[] d_array57 = polynomialFunction55.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector58 = new org.apache.commons.math3.linear.ArrayRealVector(d_array5, d_array57);
    org.apache.commons.math3.linear.RealVector realVector60 = arrayRealVector58.mapMultiply(2.0032095088804733d);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    double[] d_array70 = new double[] { 10.0d, (-1.0d) };
    double[] d_array73 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair74 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array70, d_array73);
    org.apache.commons.math3.linear.RealMatrix realMatrix75 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array70);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds76 = new org.apache.commons.math3.optim.SimpleBounds(d_array66, d_array70);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight77 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array66);
    double[] d_array81 = new double[] { (-1.0d), 1.0d, 10.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector83 = new org.apache.commons.math3.linear.ArrayRealVector(d_array81, true);
    double d84 = arrayRealVector83.getLInfNorm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector85 = new org.apache.commons.math3.linear.ArrayRealVector(d_array66, arrayRealVector83);
    double d86 = arrayRealVector58.cosine((org.apache.commons.math3.linear.RealVector)arrayRealVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.09901475429766743d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix14.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26);
    boolean b41 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix26, 100.0d);
    int i42 = array2DRowRealMatrix26.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 2);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3012989023072947d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix18.operate(d_array21);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    double[][] d_array_array35 = array2DRowRealMatrix34.getDataRef();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight39 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array40, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix34.add(array2DRowRealMatrix42);
    java.lang.String str47 = array2DRowRealMatrix42.toString();
    int i48 = array2DRowRealMatrix42.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix42.getColumnMatrix(0);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix18, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix42);
    int i52 = array2DRowRealMatrix42.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix42, (-127), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str47.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471805599453d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException((-1048576), (-1), 0.0d);
    int i4 = nonSymmetricMatrixException3.getColumn();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = diagonalMatrix2.walkInRowOrder(realMatrixChangingVisitor3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.RealVectorChangingVisitor realVectorChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = arrayRealVector0.walkInDefaultOrder(realVectorChangingVisitor2, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b7 = arrayRealVector6.isNaN();
    org.apache.commons.math3.linear.RealVector realVector9 = arrayRealVector6.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, realVector9);
    java.lang.String str11 = arrayRealVector10.toString();
    double d12 = arrayRealVector1.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = arrayRealVector13.copy();
    int i15 = arrayRealVector14.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector18 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector18.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = arrayRealVector14.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector18);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector24 = arrayRealVector22.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector18.add(realVector24);
    double d26 = arrayRealVector1.getDistance(realVector24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = arrayRealVector27.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b30 = arrayRealVector29.isNaN();
    org.apache.commons.math3.linear.RealVector realVector32 = arrayRealVector29.mapMultiplyToSelf(0.6483608274590866d);
    double d33 = arrayRealVector29.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector29.append((org.apache.commons.math3.linear.RealVector)arrayRealVector36);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector27, arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector29, true);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector1.ebeDivide((org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array48 = arrayRealVector47.getDataRef();
    java.util.Iterator iterator49 = arrayRealVector47.sparseIterator();
    org.apache.commons.math3.linear.RealVector realVector51 = arrayRealVector47.mapMultiplyToSelf((-0.5712556729872575d));
    java.util.Iterator iterator52 = arrayRealVector47.sparseIterator();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector53 = arrayRealVector42.combine(1.565240828394204d, 180.00104653569835d, (org.apache.commons.math3.linear.RealVector)arrayRealVector47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{}"+ "'", str11.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator52);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.8418672146105153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.0032095088804733d, (-80656125));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    java.lang.String str9 = arrayRealVector8.toString();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight21 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix24.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix16.add(array2DRowRealMatrix24);
    double[] d_array31 = new double[] { 10.0d, (-1.0d) };
    double[] d_array34 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair35 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array31, d_array34);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array31);
    double[] d_array37 = array2DRowRealMatrix28.operate(d_array31);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array37);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    double[] d_array40 = polynomialFunction38.getCoefficients();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix41 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array40);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = diagonalMatrix41.scalarAdd(2.9842769026938973d);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix41.setEntry((-825801805), (-46), 0.9578140369986211d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{}"+ "'", str9.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    int i26 = arrayRealVector25.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector29.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector25.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector29);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    double d37 = arrayRealVector33.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector41 = arrayRealVector33.append((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight45 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array46, false);
    double[][] d_array_array49 = array2DRowRealMatrix48.getDataRef();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight53 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array54, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = array2DRowRealMatrix48.add(array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 10.0d, (-1.0d) };
    double[] d_array66 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair67 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array63, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array63);
    double[] d_array69 = array2DRowRealMatrix60.operate(d_array63);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction70 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array69);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction71 = polynomialFunction70.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = arrayRealVector40.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = arrayRealVector25.map((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction71);
    boolean b74 = array2DRowFieldMatrix1.equals((java.lang.Object)arrayRealVector73);
    org.apache.commons.math3.FieldElement fieldElement77 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(1, 2146435072, fieldElement77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    java.lang.String str9 = arrayRealVector8.toString();
    double d10 = arrayRealVector8.getMaxValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{}"+ "'", str9.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = arrayRealVector1.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b4 = arrayRealVector3.isNaN();
    org.apache.commons.math3.linear.RealVector realVector6 = arrayRealVector3.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b8 = arrayRealVector7.isNaN();
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector7.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector3, realVector10);
    java.lang.String str12 = arrayRealVector11.toString();
    double d13 = arrayRealVector2.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector11);
    java.lang.String str14 = realVectorFormat0.format((org.apache.commons.math3.linear.RealVector)arrayRealVector11);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector15.copy();
    int i17 = arrayRealVector16.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = arrayRealVector20.copy();
    int i22 = arrayRealVector21.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector16.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector23.map(univariateFunction24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector26.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b29 = arrayRealVector28.isNaN();
    org.apache.commons.math3.linear.RealVector realVector31 = arrayRealVector28.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b33 = arrayRealVector32.isNaN();
    org.apache.commons.math3.linear.RealVector realVector35 = arrayRealVector32.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector28, realVector35);
    java.lang.String str37 = arrayRealVector36.toString();
    double d38 = arrayRealVector27.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector36);
    double d39 = arrayRealVector27.getMaxValue();
    double d40 = arrayRealVector23.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    double d41 = arrayRealVector11.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector23);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = arrayRealVector44.copy();
    int i46 = arrayRealVector45.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = arrayRealVector49.copy();
    int i51 = arrayRealVector50.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector52 = arrayRealVector45.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector50);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b54 = arrayRealVector53.isNaN();
    org.apache.commons.math3.linear.RealVector realVector56 = arrayRealVector53.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b58 = arrayRealVector57.isNaN();
    org.apache.commons.math3.linear.RealVector realVector60 = arrayRealVector57.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector61 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector53, realVector60);
    java.lang.String str62 = arrayRealVector61.toString();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight66 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array67, false);
    double[][] d_array_array70 = array2DRowRealMatrix69.getDataRef();
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight74 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array73);
    double[][] d_array_array75 = new double[][] { d_array73 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix77 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array75, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix80 = array2DRowRealMatrix77.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix81 = array2DRowRealMatrix69.add(array2DRowRealMatrix77);
    double[] d_array84 = new double[] { 10.0d, (-1.0d) };
    double[] d_array87 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair88 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array84, d_array87);
    org.apache.commons.math3.linear.RealMatrix realMatrix89 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array84);
    double[] d_array90 = array2DRowRealMatrix81.operate(d_array84);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction91 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array90);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector92 = arrayRealVector61.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction91);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector93 = arrayRealVector50.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction91);
    double d94 = arrayRealVector50.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector95 = arrayRealVector23.combine(0.2302046098755923d, (-0.7671193577593026d), (org.apache.commons.math3.linear.RealVector)arrayRealVector50);
    int i96 = arrayRealVector50.getMinIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "{}"+ "'", str12.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{}"+ "'", str14.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{}"+ "'", str37.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "{}"+ "'", str62.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == (-1));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrix realMatrix19 = array2DRowRealMatrix6.transpose();
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight5 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, false);
    double[][] d_array_array9 = array2DRowRealMatrix8.getDataRef();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix19 = array2DRowRealMatrix16.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = array2DRowRealMatrix8.add(array2DRowRealMatrix16);
    double[] d_array23 = new double[] { 10.0d, (-1.0d) };
    double[] d_array26 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair27 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array23, d_array26);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array23);
    double[] d_array29 = array2DRowRealMatrix20.operate(d_array23);
    double[][] d_array_array30 = new double[][] { d_array23 };
    org.apache.commons.math3.linear.RealMatrix realMatrix31 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array30);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(byte)(-1), (java.lang.Object[])d_array_array30);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext33 = maxCountExceededException32.getContext();
    java.lang.Number number34 = maxCountExceededException32.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (byte)(-1)+ "'", number34.equals((byte)(-1)));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement31 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor26, 52, 0, 100, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.0037444403307465d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1809874191681016d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[][] d_array_array3 = diagonalMatrix2.getData();
    double[][] d_array_array4 = diagonalMatrix2.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix6 = diagonalMatrix2.scalarMultiply(2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[] d_array23 = array2DRowRealMatrix14.operate(d_array21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b25 = arrayRealVector24.isNaN();
    org.apache.commons.math3.linear.RealVector realVector27 = arrayRealVector24.mapMultiplyToSelf(0.6483608274590866d);
    double d28 = arrayRealVector24.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector32 = arrayRealVector24.append((org.apache.commons.math3.linear.RealVector)arrayRealVector31);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight36 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array35);
    double[][] d_array_array37 = new double[][] { d_array35 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37, false);
    double[][] d_array_array40 = array2DRowRealMatrix39.getDataRef();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight44 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix47.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = array2DRowRealMatrix39.add(array2DRowRealMatrix47);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array54);
    double[] d_array60 = array2DRowRealMatrix51.operate(d_array54);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction61 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array60);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction62 = polynomialFunction61.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = arrayRealVector31.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction62);
    double[] d_array64 = polynomialFunction62.getCoefficients();
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair65 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array23, d_array64);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(d_array23, true);
    org.apache.commons.math3.linear.RealVector realVector68 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(4.9E-324d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    double[][] d_array_array15 = array2DRowRealMatrix14.getDataRef();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight19 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = array2DRowRealMatrix22.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = array2DRowRealMatrix14.add(array2DRowRealMatrix22);
    double[] d_array30 = new double[] { 10.0d, (-1.0d) };
    double[] d_array33 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair34 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array30, d_array33);
    double[] d_array37 = new double[] { 10.0d, (-1.0d) };
    double[] d_array40 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair41 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array37, d_array40);
    org.apache.commons.math3.linear.RealMatrix realMatrix42 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array37);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds43 = new org.apache.commons.math3.optim.SimpleBounds(d_array33, d_array37);
    array2DRowRealMatrix22.setRow(0, d_array33);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix22.copy();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix6.add(array2DRowRealMatrix22);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor47 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d48 = array2DRowRealMatrix6.walkInColumnOrder(realMatrixPreservingVisitor47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix46);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.multiply(diagonalMatrix6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector11.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b18 = arrayRealVector17.isNaN();
    org.apache.commons.math3.linear.RealVector realVector20 = arrayRealVector17.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector13, realVector20);
    java.lang.String str22 = arrayRealVector21.toString();
    double d23 = arrayRealVector12.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector25 = arrayRealVector24.copy();
    boolean b26 = arrayRealVector25.isNaN();
    double d27 = arrayRealVector25.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = arrayRealVector28.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b31 = arrayRealVector30.isNaN();
    org.apache.commons.math3.linear.RealVector realVector33 = arrayRealVector30.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b35 = arrayRealVector34.isNaN();
    org.apache.commons.math3.linear.RealVector realVector37 = arrayRealVector34.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector38 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector30, realVector37);
    java.lang.String str39 = arrayRealVector38.toString();
    double d40 = arrayRealVector29.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector25, (org.apache.commons.math3.linear.RealVector)arrayRealVector38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = arrayRealVector12.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix0, (org.apache.commons.math3.linear.RealVector)arrayRealVector42);
    double[][] d_array_array44 = diagonalMatrix0.getData();
    double[] d_array45 = diagonalMatrix0.getDataRef();
    boolean b47 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix0, 1.4153478402429818d);
    double[][] d_array_array48 = diagonalMatrix0.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix50 = diagonalMatrix0.getRowMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "{}"+ "'", str22.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "{}"+ "'", str39.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer6 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(Double.NEGATIVE_INFINITY, convergenceChecker1, 0.0d, 22.140692632779267d, 180.0d, 0.0d);
    double[] d_array7 = levenbergMarquardtOptimizer6.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getColumn(1920053288);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-1.0f), 810831012, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(82.99018591476309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.361898738038d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    org.apache.commons.math3.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math3.fitting.WeightedObservedPoint(3.141592653589793d, 0.0d, 2.2250738585072024E-308d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[] d_array3 = diagonalMatrix2.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix4.subtract(diagonalMatrix5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = diagonalMatrix4.multiply(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix2.subtract(diagonalMatrix14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix17 = diagonalMatrix15.getColumnMatrix(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9912209064978486E30d, (java.lang.Number)7, false);
    boolean b30 = array2DRowFieldMatrix1.equals((java.lang.Object)7);
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor31 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement36 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor31, 2147483647, (-20), (-2075393087), 10224396);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-20), obj_array2);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds15 = new org.apache.commons.math3.optim.SimpleBounds(d_array5, d_array9);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array5);
    double d18 = array2DRowRealMatrix17.getNorm();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    double[] d_array48 = new double[] { 10.0d, (-1.0d) };
    double[] d_array51 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair52 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array48, d_array51);
    org.apache.commons.math3.linear.RealMatrix realMatrix53 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array48);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds54 = new org.apache.commons.math3.optim.SimpleBounds(d_array44, d_array48);
    array2DRowRealMatrix33.setRow(0, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix56 = array2DRowRealMatrix33.copy();
    double[] d_array59 = new double[] { 10.0d, (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair63 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array59, d_array62);
    double[] d_array66 = new double[] { 10.0d, (-1.0d) };
    double[] d_array69 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair70 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array66, d_array69);
    org.apache.commons.math3.linear.RealMatrix realMatrix71 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array66);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds72 = new org.apache.commons.math3.optim.SimpleBounds(d_array62, d_array66);
    org.apache.commons.math3.linear.RealMatrix realMatrix73 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array62);
    double[] d_array74 = array2DRowRealMatrix33.operate(d_array62);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array75 = array2DRowRealMatrix17.operate(d_array62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[] d_array3 = diagonalMatrix2.getDataRef();
    boolean b5 = org.apache.commons.math3.linear.MatrixUtils.isSymmetric((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix2, 0.0d);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = diagonalMatrix2.walkInColumnOrder(realMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix2.subtract(diagonalMatrix3);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix13.subtract(diagonalMatrix14);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix12.subtract(diagonalMatrix13);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = diagonalMatrix7.multiply(diagonalMatrix13);
    double[] d_array18 = diagonalMatrix17.getDataRef();
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)diagonalMatrix6, (org.apache.commons.math3.linear.AnyMatrix)diagonalMatrix17);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix17.multiplyEntry(0, 52, 2.27632259394013d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1079575489);
    incrementor1.incrementCount(1);
    int i4 = incrementor1.getCount();
    boolean b5 = incrementor1.canIncrement();
    int i6 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1079575489);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9578140369986211d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.649848280976334d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array9);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair17 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array5, d_array9, false);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array9, true);
    org.apache.commons.math3.optim.InitialGuess initialGuess20 = new org.apache.commons.math3.optim.InitialGuess(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-2075393087));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)1L);
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number2, (java.lang.Number)1.2182829050172777d, true);
    notPositiveException1.addSuppressed((java.lang.Throwable)numberIsTooLargeException5);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.01f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-3.0552051916339877d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9912209064978486E30d, (java.lang.Number)7, false);
    boolean b30 = array2DRowFieldMatrix1.equals((java.lang.Object)7);
    org.apache.commons.math3.FieldElement[] fieldElement_array35 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array36 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array35 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(5, 2075393087, 0, 1920053288, fieldElement_array_array36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array36);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    boolean b20 = array2DRowRealMatrix7.isTransposable();
    double[][] d_array_array21 = array2DRowRealMatrix7.getDataRef();
    org.apache.commons.math3.exception.ZeroException zeroException22 = new org.apache.commons.math3.exception.ZeroException(localizable0, (java.lang.Object[])d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix(d_array5, false);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = diagonalMatrix12.subtract(diagonalMatrix13);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix11.subtract(diagonalMatrix12);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix17 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix18 = diagonalMatrix16.subtract(diagonalMatrix17);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix19 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix20 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix21 = diagonalMatrix19.subtract(diagonalMatrix20);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix22 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix23 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix24 = diagonalMatrix22.subtract(diagonalMatrix23);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix25 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix26 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix27 = diagonalMatrix25.subtract(diagonalMatrix26);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix28 = diagonalMatrix24.subtract(diagonalMatrix25);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix29 = diagonalMatrix19.multiply(diagonalMatrix25);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector30 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = arrayRealVector30.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b33 = arrayRealVector32.isNaN();
    org.apache.commons.math3.linear.RealVector realVector35 = arrayRealVector32.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b37 = arrayRealVector36.isNaN();
    org.apache.commons.math3.linear.RealVector realVector39 = arrayRealVector36.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector32, realVector39);
    java.lang.String str41 = arrayRealVector40.toString();
    double d42 = arrayRealVector31.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector40);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = arrayRealVector43.copy();
    boolean b45 = arrayRealVector44.isNaN();
    double d46 = arrayRealVector44.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector47.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b50 = arrayRealVector49.isNaN();
    org.apache.commons.math3.linear.RealVector realVector52 = arrayRealVector49.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector53 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b54 = arrayRealVector53.isNaN();
    org.apache.commons.math3.linear.RealVector realVector56 = arrayRealVector53.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector57 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector49, realVector56);
    java.lang.String str58 = arrayRealVector57.toString();
    double d59 = arrayRealVector48.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector60 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector44, (org.apache.commons.math3.linear.RealVector)arrayRealVector57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector61 = arrayRealVector31.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector60);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix19, (org.apache.commons.math3.linear.RealVector)arrayRealVector61);
    double[][] d_array_array63 = diagonalMatrix19.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix64 = diagonalMatrix18.multiply(diagonalMatrix19);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix65 = diagonalMatrix12.subtract(diagonalMatrix18);
    double[] d_array66 = null;
    double[] d_array67 = diagonalMatrix18.operate(d_array66);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair68 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array5, d_array67);
    double[] d_array69 = pointVectorValuePair68.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "{}"+ "'", str41.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "{}"+ "'", str58.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector9.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector5.add(realVector11);
    org.apache.commons.math3.linear.RealVector realVector14 = arrayRealVector5.mapDivideToSelf(0.6138028564812932d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b3 = arrayRealVector2.isNaN();
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector2.mapMultiplyToSelf(0.6483608274590866d);
    double d6 = arrayRealVector2.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector2.append((org.apache.commons.math3.linear.RealVector)arrayRealVector9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, arrayRealVector2);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b13 = arrayRealVector12.isNaN();
    org.apache.commons.math3.linear.RealVector realVector15 = arrayRealVector12.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector12, realVector19);
    java.lang.String str21 = arrayRealVector20.toString();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight25 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26, false);
    double[][] d_array_array29 = array2DRowRealMatrix28.getDataRef();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight33 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix36.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = array2DRowRealMatrix28.add(array2DRowRealMatrix36);
    double[] d_array43 = new double[] { 10.0d, (-1.0d) };
    double[] d_array46 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair47 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array43, d_array46);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array43);
    double[] d_array49 = array2DRowRealMatrix40.operate(d_array43);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction50 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array49);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = arrayRealVector20.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction50);
    double[] d_array52 = polynomialFunction50.getCoefficients();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight56 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57, false);
    double[][] d_array_array60 = array2DRowRealMatrix59.getDataRef();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight64 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array63);
    double[][] d_array_array65 = new double[][] { d_array63 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array65, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = array2DRowRealMatrix67.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix71 = array2DRowRealMatrix59.add(array2DRowRealMatrix67);
    double[] d_array74 = new double[] { 10.0d, (-1.0d) };
    double[] d_array77 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair78 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array74, d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array74);
    double[] d_array80 = array2DRowRealMatrix71.operate(d_array74);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction81 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array80);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction82 = polynomialFunction50.add(polynomialFunction81);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector83 = arrayRealVector11.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction82);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector84 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "{}"+ "'", str21.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector83);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b14 = arrayRealVector13.isNaN();
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector13.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector9, realVector16);
    java.lang.String str18 = arrayRealVector17.toString();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    double[] d_array40 = new double[] { 10.0d, (-1.0d) };
    double[] d_array43 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair44 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array40, d_array43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array40);
    double[] d_array46 = array2DRowRealMatrix37.operate(d_array40);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction47 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector17.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = arrayRealVector6.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction47);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction50 = polynomialFunction47.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{}"+ "'", str18.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction50);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    double[] d_array9 = new double[] { 10.0d, (-1.0d) };
    double[] d_array12 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair13 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array9, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array9);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array9);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair17 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array5, d_array9, false);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight18 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array9);
    org.apache.commons.math3.linear.RealMatrix realMatrix19 = weight18.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.MatrixUtils.checkSymmetric((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix0, 1.5607966601082315d);
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight8 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array7);
    double[][] d_array_array9 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, false);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix11.add(array2DRowRealMatrix19);
    double[] d_array26 = new double[] { 10.0d, (-1.0d) };
    double[] d_array29 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair30 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array26, d_array29);
    org.apache.commons.math3.linear.RealMatrix realMatrix31 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array26);
    double[] d_array32 = array2DRowRealMatrix23.operate(d_array26);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight36 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array35);
    double[][] d_array_array37 = new double[][] { d_array35 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37, false);
    double[][] d_array_array40 = array2DRowRealMatrix39.getDataRef();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight44 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array45, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix47.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = array2DRowRealMatrix39.add(array2DRowRealMatrix47);
    double[] d_array54 = new double[] { 10.0d, (-1.0d) };
    double[] d_array57 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair58 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array54, d_array57);
    org.apache.commons.math3.linear.RealMatrix realMatrix59 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array54);
    double[] d_array60 = array2DRowRealMatrix51.operate(d_array54);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction61 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array60);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math3.linear.ArrayRealVector(d_array26, d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix63 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array26);
    double[] d_array66 = new double[] { 10.0d, (-1.0d) };
    double[] d_array69 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair70 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array66, d_array69);
    double[] d_array71 = pointVectorValuePair70.getPointRef();
    double[] d_array72 = pointVectorValuePair70.getValue();
    org.apache.commons.math3.optim.SimpleBounds simpleBounds73 = new org.apache.commons.math3.optim.SimpleBounds(d_array26, d_array72);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array74 = diagonalMatrix0.operate(d_array72);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, (-20), 218283233);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.6230660667639296d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.lang.String str2 = realVectorFormat0.getSuffix();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b4 = arrayRealVector3.isNaN();
    boolean b5 = arrayRealVector3.isInfinite();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = realVectorFormat0.format((org.apache.commons.math3.linear.RealVector)arrayRealVector3, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "}"+ "'", str2.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(9);
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.add(diagonalMatrix9);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = diagonalMatrix9.walkInColumnOrder(realMatrixChangingVisitor11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array41);
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix38);
    org.apache.commons.math3.linear.RealMatrix realMatrix50 = array2DRowRealMatrix6.getRowMatrix(0);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight54 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array55, false);
    double[][] d_array_array58 = array2DRowRealMatrix57.getDataRef();
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight62 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array63, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = array2DRowRealMatrix57.add(array2DRowRealMatrix65);
    double[] d_array73 = new double[] { 10.0d, (-1.0d) };
    double[] d_array76 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair77 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array73, d_array76);
    double[] d_array80 = new double[] { 10.0d, (-1.0d) };
    double[] d_array83 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair84 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array80, d_array83);
    org.apache.commons.math3.linear.RealMatrix realMatrix85 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array80);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds86 = new org.apache.commons.math3.optim.SimpleBounds(d_array76, d_array80);
    array2DRowRealMatrix65.setRow(0, d_array76);
    double[][] d_array_array88 = array2DRowRealMatrix65.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix89 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array88);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix90 = array2DRowRealMatrix6.add(array2DRowRealMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix90);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix6.scalarAdd(0.012125686301187825d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector21 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = arrayRealVector21.copy();
    int i23 = arrayRealVector22.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector26.copy();
    int i28 = arrayRealVector27.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = arrayRealVector22.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = arrayRealVector29.map(univariateFunction30);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight35 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36, false);
    double[][] d_array_array39 = array2DRowRealMatrix38.getDataRef();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight43 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array44, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix49 = array2DRowRealMatrix46.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = array2DRowRealMatrix38.add(array2DRowRealMatrix46);
    double[] d_array53 = new double[] { 10.0d, (-1.0d) };
    double[] d_array56 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair57 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array53, d_array56);
    org.apache.commons.math3.linear.RealMatrix realMatrix58 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array53);
    double[] d_array59 = array2DRowRealMatrix50.operate(d_array53);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction60 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector61 = arrayRealVector29.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction60);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = arrayRealVector62.copy();
    arrayRealVector63.set(Double.NEGATIVE_INFINITY);
    java.lang.String str66 = arrayRealVector63.toString();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector61, arrayRealVector63);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector68 = array2DRowRealMatrix6.operateTranspose((org.apache.commons.math3.linear.RealVector)arrayRealVector63);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "{}"+ "'", str66.equals("{}"));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.text.NumberFormat numberFormat2 = realVectorFormat0.getFormat();
    java.lang.String str3 = realVectorFormat0.getSeparator();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = arrayRealVector4.copy();
    int i6 = arrayRealVector5.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector9.copy();
    int i11 = arrayRealVector10.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector5.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector10);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = arrayRealVector15.copy();
    int i17 = arrayRealVector16.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector22 = arrayRealVector20.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = arrayRealVector16.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector20);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector26 = arrayRealVector24.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = arrayRealVector20.add(realVector26);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = arrayRealVector12.combine(20.0d, Double.NaN, (org.apache.commons.math3.linear.RealVector)arrayRealVector27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector29 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector12);
    java.lang.StringBuffer stringBuffer30 = null;
    java.text.FieldPosition fieldPosition31 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer32 = realVectorFormat0.format((org.apache.commons.math3.linear.RealVector)arrayRealVector29, stringBuffer30, fieldPosition31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "; "+ "'", str3.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException((-1), (-2075393087), 1920053288, 0);
    // The following exception was thrown during execution in test generation
    try {
      int i6 = matrixDimensionMismatchException4.getExpectedDimension((-46));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.23020460987559233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23020460987559235d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight4 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[][] d_array_array8 = array2DRowRealMatrix7.getDataRef();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = array2DRowRealMatrix7.add(array2DRowRealMatrix15);
    java.lang.String str20 = array2DRowRealMatrix15.toString();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight24 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array25, false);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight32 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = array2DRowRealMatrix27.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = array2DRowRealMatrix15.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix27);
    double[][] d_array_array41 = array2DRowRealMatrix15.getDataRef();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array_array41);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix43 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createRealIdentityMatrix(1);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight47 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(realMatrix46);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix43.setColumnMatrix(100, realMatrix46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str20.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    org.apache.commons.math3.linear.NonSymmetricMatrixException nonSymmetricMatrixException3 = new org.apache.commons.math3.linear.NonSymmetricMatrixException(6, (-1), 0.6483608274590866d);
    java.lang.Throwable[] throwable_array4 = nonSymmetricMatrixException3.getSuppressed();
    double d5 = nonSymmetricMatrixException3.getThreshold();
    int i6 = nonSymmetricMatrixException3.getColumn();
    double d7 = nonSymmetricMatrixException3.getThreshold();
    double d8 = nonSymmetricMatrixException3.getThreshold();
    int i9 = nonSymmetricMatrixException3.getColumn();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("{", 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement31 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor26, 0, (-1), 10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array5 = array2DRowFieldMatrix1.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix8.subtract(diagonalMatrix9);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix3.multiply(diagonalMatrix9);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = arrayRealVector14.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector16 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b17 = arrayRealVector16.isNaN();
    org.apache.commons.math3.linear.RealVector realVector19 = arrayRealVector16.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b21 = arrayRealVector20.isNaN();
    org.apache.commons.math3.linear.RealVector realVector23 = arrayRealVector20.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector24 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector16, realVector23);
    java.lang.String str25 = arrayRealVector24.toString();
    double d26 = arrayRealVector15.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector24);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector28 = arrayRealVector27.copy();
    boolean b29 = arrayRealVector28.isNaN();
    double d30 = arrayRealVector28.getL1Norm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = arrayRealVector31.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b34 = arrayRealVector33.isNaN();
    org.apache.commons.math3.linear.RealVector realVector36 = arrayRealVector33.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector37 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b38 = arrayRealVector37.isNaN();
    org.apache.commons.math3.linear.RealVector realVector40 = arrayRealVector37.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector41 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, realVector40);
    java.lang.String str42 = arrayRealVector41.toString();
    double d43 = arrayRealVector32.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector28, (org.apache.commons.math3.linear.RealVector)arrayRealVector41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = arrayRealVector15.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    org.apache.commons.math3.linear.MatrixUtils.solveUpperTriangularSystem((org.apache.commons.math3.linear.RealMatrix)diagonalMatrix3, (org.apache.commons.math3.linear.RealVector)arrayRealVector45);
    double[][] d_array_array47 = diagonalMatrix3.getData();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix48 = diagonalMatrix2.multiply(diagonalMatrix3);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix3.multiplyEntry(0, 9, 2.98203761320772d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{}"+ "'", str25.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{}"+ "'", str42.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix48);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat1 = realVectorFormat0.getFormat();
    java.lang.String str2 = realVectorFormat0.getSeparator();
    java.lang.String str3 = realVectorFormat0.getSeparator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "; "+ "'", str2.equals("; "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "; "+ "'", str3.equals("; "));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-2075393087));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    double[] d_array2 = new double[] { 10.0d, (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair6 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array2, d_array5);
    org.apache.commons.math3.linear.RealMatrix realMatrix7 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    int i8 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector11 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array12 = arrayRealVector11.getDataRef();
    org.apache.commons.math3.optim.SimpleBounds simpleBounds13 = new org.apache.commons.math3.optim.SimpleBounds(d_array2, d_array12);
    org.apache.commons.math3.linear.RealMatrix realMatrix14 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = arrayRealVector5.copy();
    int i7 = arrayRealVector6.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(0.6483608274590866d, 0.0d, (org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = arrayRealVector8.map(univariateFunction9);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    double[][] d_array_array18 = array2DRowRealMatrix17.getDataRef();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix28 = array2DRowRealMatrix25.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = array2DRowRealMatrix17.add(array2DRowRealMatrix25);
    double[] d_array32 = new double[] { 10.0d, (-1.0d) };
    double[] d_array35 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair36 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array32, d_array35);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array32);
    double[] d_array38 = array2DRowRealMatrix29.operate(d_array32);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction39 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction39);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b44 = arrayRealVector43.isNaN();
    org.apache.commons.math3.linear.RealVector realVector46 = arrayRealVector43.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = arrayRealVector8.combine(0.0d, 5.886096315311465d, realVector46);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b49 = arrayRealVector48.isNaN();
    org.apache.commons.math3.linear.RealVector realVector51 = arrayRealVector48.mapMultiplyToSelf(0.6483608274590866d);
    double d52 = arrayRealVector48.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector56 = arrayRealVector48.append((org.apache.commons.math3.linear.RealVector)arrayRealVector55);
    org.apache.commons.math3.linear.RealVector realVector57 = realVector56.unitVector();
    org.apache.commons.math3.linear.RealVector realVector58 = arrayRealVector47.append(realVector57);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = new org.apache.commons.math3.linear.ArrayRealVector(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    boolean b26 = array2DRowFieldMatrix1.isSquare();
    int[] i_array27 = new int[] {  };
    int[] i_array29 = new int[] { 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix30 = array2DRowFieldMatrix1.getSubMatrix(i_array27, i_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field5 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldVector fieldVector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector((-2075393087), fieldVector7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    double[] d_array3 = diagonalMatrix2.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = diagonalMatrix4.subtract(diagonalMatrix5);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix7.subtract(diagonalMatrix8);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = diagonalMatrix10.subtract(diagonalMatrix11);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix9.subtract(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix14 = diagonalMatrix4.multiply(diagonalMatrix10);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix15 = diagonalMatrix2.subtract(diagonalMatrix14);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight20 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21, false);
    double[][] d_array_array24 = array2DRowRealMatrix23.getDataRef();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight28 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array29, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = array2DRowRealMatrix31.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = array2DRowRealMatrix23.add(array2DRowRealMatrix31);
    double[] d_array38 = new double[] { 10.0d, (-1.0d) };
    double[] d_array41 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair42 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array38, d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array38);
    double[] d_array44 = array2DRowRealMatrix35.operate(d_array38);
    double[][] d_array_array45 = new double[][] { d_array38 };
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array45);
    org.apache.commons.math3.exception.ZeroException zeroException47 = new org.apache.commons.math3.exception.ZeroException(localizable16, (java.lang.Object[])d_array_array45);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix15.setSubMatrix(d_array_array45, 7, (-825801805));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight22 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array23, false);
    double[][] d_array_array26 = array2DRowRealMatrix25.getDataRef();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight30 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array31, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = array2DRowRealMatrix33.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = array2DRowRealMatrix25.add(array2DRowRealMatrix33);
    boolean b38 = array2DRowRealMatrix25.isTransposable();
    org.apache.commons.math3.linear.RealMatrix realMatrix39 = array2DRowRealMatrix6.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix25);
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat40 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat41 = realVectorFormat40.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat42 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector43 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector45 = arrayRealVector43.mapAddToSelf(100.0d);
    int i46 = arrayRealVector43.getMinIndex();
    java.lang.String str47 = realVectorFormat42.format((org.apache.commons.math3.linear.RealVector)arrayRealVector43);
    java.text.NumberFormat numberFormat48 = realVectorFormat42.getFormat();
    boolean b49 = array2DRowRealMatrix6.equals((java.lang.Object)realVectorFormat42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = realVectorFormat42.parse("{");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "{}"+ "'", str47.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.0f), 4.2E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    boolean b3 = array2DRowFieldMatrix1.isSquare();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor4, (-1048576), (-3), 10, 7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array24 = array2DRowFieldMatrix1.getDataRef();
    java.lang.String str25 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field26 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field26);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array28 = array2DRowFieldMatrix27.getDataRef();
    int i29 = array2DRowFieldMatrix27.getColumnDimension();
    boolean b30 = array2DRowFieldMatrix27.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = array2DRowFieldMatrix1.subtract(array2DRowFieldMatrix27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str25.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector11 = arrayRealVector9.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector12 = arrayRealVector5.add(realVector11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector14 = arrayRealVector12.mapToSelf(univariateFunction13);
    org.apache.commons.math3.linear.RealVector realVector16 = arrayRealVector14.mapSubtractToSelf(0.0d);
    boolean b17 = arrayRealVector14.isNaN();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector20 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    double[] d_array21 = arrayRealVector20.getDataRef();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector22 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector20);
    org.apache.commons.math3.linear.RealVector realVector24 = arrayRealVector20.mapAddToSelf(0.6230660667639296d);
    // The following exception was thrown during execution in test generation
    try {
      double d25 = arrayRealVector14.getDistance((org.apache.commons.math3.linear.RealVector)arrayRealVector20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    double d4 = arrayRealVector0.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector0.append((org.apache.commons.math3.linear.RealVector)arrayRealVector7);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    double[][] d_array_array16 = array2DRowRealMatrix15.getDataRef();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight20 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = array2DRowRealMatrix23.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = array2DRowRealMatrix15.add(array2DRowRealMatrix23);
    double[] d_array30 = new double[] { 10.0d, (-1.0d) };
    double[] d_array33 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair34 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array30, d_array33);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array30);
    double[] d_array36 = array2DRowRealMatrix27.operate(d_array30);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction37 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array36);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = polynomialFunction37.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector7.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    double[] d_array40 = polynomialFunction38.getCoefficients();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure41 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure42 = polynomialFunction38.value(derivativeStructure41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471805599454d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException4 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(7, 10224396, (-2075393087), 0);
    int i5 = matrixDimensionMismatchException4.getExpectedRowDimension();
    int i6 = matrixDimensionMismatchException4.getExpectedRowDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-2075393087));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-2075393087));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException6 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array7 = matrixDimensionMismatchException6.getWrongDimensions();
    java.lang.Integer[] i_array8 = matrixDimensionMismatchException6.getWrongDimensions();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException13 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array14 = matrixDimensionMismatchException13.getWrongDimensions();
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException15 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array8, i_array14);
    org.apache.commons.math3.exception.ConvergenceException convergenceException16 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, (java.lang.Object[])i_array8);
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException21 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array22 = matrixDimensionMismatchException21.getWrongDimensions();
    java.lang.Integer[] i_array23 = matrixDimensionMismatchException21.getWrongDimensions();
    org.apache.commons.math3.linear.MatrixDimensionMismatchException matrixDimensionMismatchException28 = new org.apache.commons.math3.linear.MatrixDimensionMismatchException(0, 6, 0, 0);
    java.lang.Integer[] i_array29 = matrixDimensionMismatchException28.getWrongDimensions();
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException30 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(i_array23, i_array29);
    org.apache.commons.math3.exception.MultiDimensionMismatchException multiDimensionMismatchException31 = new org.apache.commons.math3.exception.MultiDimensionMismatchException(localizable0, i_array8, i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, (-0.0f), 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    double d4 = arrayRealVector0.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector0.append((org.apache.commons.math3.linear.RealVector)arrayRealVector7);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight12 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13, false);
    double[][] d_array_array16 = array2DRowRealMatrix15.getDataRef();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight20 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = array2DRowRealMatrix23.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = array2DRowRealMatrix15.add(array2DRowRealMatrix23);
    double[] d_array30 = new double[] { 10.0d, (-1.0d) };
    double[] d_array33 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair34 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array30, d_array33);
    org.apache.commons.math3.linear.RealMatrix realMatrix35 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array30);
    double[] d_array36 = array2DRowRealMatrix27.operate(d_array30);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction37 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array36);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = polynomialFunction37.polynomialDerivative();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector7.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = arrayRealVector7.copy();
    double d41 = arrayRealVector40.getL1Norm();
    int i42 = arrayRealVector40.getDimension();
    org.apache.commons.math3.linear.RealVector realVector44 = arrayRealVector40.append(0.7692923795925918d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector46 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector40, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    boolean b19 = array2DRowRealMatrix6.isTransposable();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight23 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array24, false);
    double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight31 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array32, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix37 = array2DRowRealMatrix34.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = array2DRowRealMatrix26.add(array2DRowRealMatrix34);
    double[] d_array41 = new double[] { 10.0d, (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair45 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array41, d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix38.operate(d_array41);
    org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix38);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector50 = arrayRealVector49.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector51 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b52 = arrayRealVector51.isNaN();
    org.apache.commons.math3.linear.RealVector realVector54 = arrayRealVector51.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector55 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b56 = arrayRealVector55.isNaN();
    org.apache.commons.math3.linear.RealVector realVector58 = arrayRealVector55.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector59 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector51, realVector58);
    java.lang.String str60 = arrayRealVector59.toString();
    double d61 = arrayRealVector50.dotProduct((org.apache.commons.math3.linear.RealVector)arrayRealVector59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector62 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = arrayRealVector62.copy();
    int i64 = arrayRealVector63.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector70 = arrayRealVector63.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector71 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector73 = arrayRealVector71.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector74 = arrayRealVector67.add(realVector73);
    double d75 = arrayRealVector50.getDistance(realVector73);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector77 = arrayRealVector76.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector78 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b79 = arrayRealVector78.isNaN();
    org.apache.commons.math3.linear.RealVector realVector81 = arrayRealVector78.mapMultiplyToSelf(0.6483608274590866d);
    double d82 = arrayRealVector78.getMinValue();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector85 = new org.apache.commons.math3.linear.ArrayRealVector(10, 1.0E20d);
    org.apache.commons.math3.linear.RealVector realVector86 = arrayRealVector78.append((org.apache.commons.math3.linear.RealVector)arrayRealVector85);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector87 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector76, arrayRealVector78);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector89 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector78, true);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector90 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector78);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector91 = arrayRealVector50.ebeDivide((org.apache.commons.math3.linear.RealVector)arrayRealVector78);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector92 = array2DRowRealMatrix38.operateTranspose((org.apache.commons.math3.linear.RealVector)arrayRealVector50);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "{}"+ "'", str60.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector91);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    org.apache.commons.math3.exception.MathParseException mathParseException2 = new org.apache.commons.math3.exception.MathParseException("Array2DRowRealMatrix{{1.0,0.0}}", 1077149727);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-1), (java.lang.Object[])d_array_array7);
    double[][] d_array_array11 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.7853981633974483d, (java.lang.Object[])d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b1 = arrayRealVector0.isNaN();
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector0.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b5 = arrayRealVector4.isNaN();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector4.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector7);
    java.lang.String str9 = arrayRealVector8.toString();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight13 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array14, false);
    double[][] d_array_array17 = array2DRowRealMatrix16.getDataRef();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight21 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix24 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array22, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix24.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix16.add(array2DRowRealMatrix24);
    double[] d_array31 = new double[] { 10.0d, (-1.0d) };
    double[] d_array34 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair35 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array31, d_array34);
    org.apache.commons.math3.linear.RealMatrix realMatrix36 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array31);
    double[] d_array37 = array2DRowRealMatrix28.operate(d_array31);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction38 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array37);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector39 = arrayRealVector8.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction38);
    double[] d_array40 = polynomialFunction38.getCoefficients();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{}"+ "'", str9.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(100);
    int i2 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = arrayRealVector0.copy();
    int i2 = arrayRealVector1.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapAddToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.combine(1.0E20d, 1.5707963267948966d, (org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.RealVector realVector10 = arrayRealVector8.mapMultiplyToSelf(180.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat6 = new org.apache.commons.math3.linear.RealMatrixFormat("Array2DRowRealMatrix{{1.0,0.0}}", "Array2DRowRealMatrix{{10.0,-1.0}}", "{{1,0}}", "org.apache.commons.math3.exception.TooManyIterationsException: illegal state: maximal count (20) exceeded: iterations", "", "{{1},{0}}");

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.6230660667639296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    java.text.NumberFormat numberFormat4 = realVectorFormat3.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat5 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat4);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector6.mapAddToSelf(100.0d);
    int i9 = arrayRealVector6.getMinIndex();
    java.lang.String str10 = realVectorFormat5.format((org.apache.commons.math3.linear.RealVector)arrayRealVector6);
    java.text.NumberFormat numberFormat11 = realVectorFormat5.getFormat();
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat12 = new org.apache.commons.math3.linear.RealVectorFormat("org.apache.commons.math3.exception.NotPositiveException: 0 is smaller than the minimum (0)", "org.apache.commons.math3.exception.MathParseException: illegal state: string \"\" unparseable (from position 6)", "{{1},{0}}", numberFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{}"+ "'", str10.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat11);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(0.0d, 100.0d, 0.6557343319706633d, 0.23020460987559233d, 1.2533141373155001d);
    int i6 = levenbergMarquardtOptimizer5.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.2623067631095239d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    org.apache.commons.math3.linear.RealMatrixFormat realMatrixFormat0 = org.apache.commons.math3.linear.RealMatrixFormat.getInstance();
    java.lang.String str1 = realMatrixFormat0.getRowSuffix();
    java.lang.String str2 = realMatrixFormat0.getRowPrefix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix4 = realMatrixFormat0.parse("org.apache.commons.math3.exception.MathParseException: illegal state: string \"\" unparseable (from position 6)");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "}"+ "'", str1.equals("}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{"+ "'", str2.equals("{"));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.add(diagonalMatrix9);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix11 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix12 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix13 = diagonalMatrix11.subtract(diagonalMatrix12);
    int i14 = diagonalMatrix12.getRowDimension();
    double[] d_array15 = diagonalMatrix12.getDataRef();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix16 = diagonalMatrix10.multiply(diagonalMatrix12);
    // The following exception was thrown during execution in test generation
    try {
      diagonalMatrix10.addToEntry((-3), (-825801805), 4.4751060363102315d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException");
    } catch (org.apache.commons.math3.exception.MathUnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathUnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathUnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix16);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    double[] d_array29 = new double[] { 10.0d, (-1.0d) };
    double[] d_array32 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair33 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array29, d_array32);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array29);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds35 = new org.apache.commons.math3.optim.SimpleBounds(d_array25, d_array29);
    array2DRowRealMatrix14.setRow(0, d_array25);
    double[][] d_array_array37 = array2DRowRealMatrix14.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix40 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37, false);
    double[][] d_array_array41 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    int i3 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor5, (-825801805), (-1), 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    double[] d_array22 = new double[] { 10.0d, (-1.0d) };
    double[] d_array25 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair26 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array22, d_array25);
    double[] d_array29 = new double[] { 10.0d, (-1.0d) };
    double[] d_array32 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair33 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array29, d_array32);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array29);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds35 = new org.apache.commons.math3.optim.SimpleBounds(d_array25, d_array29);
    array2DRowRealMatrix14.setRow(0, d_array25);
    double[][] d_array_array37 = array2DRowRealMatrix14.getData();
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array37);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor39 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d40 = array2DRowRealMatrix38.walkInOptimizedOrder(realMatrixChangingVisitor39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4, false);
    double[][] d_array_array7 = array2DRowRealMatrix6.getDataRef();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix17 = array2DRowRealMatrix14.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = array2DRowRealMatrix6.add(array2DRowRealMatrix14);
    java.lang.String str19 = array2DRowRealMatrix14.toString();
    int i20 = array2DRowRealMatrix14.getColumnDimension();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight24 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array23);
    double[][] d_array_array25 = new double[][] { d_array23 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array25, false);
    double[][] d_array_array28 = array2DRowRealMatrix27.getDataRef();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight32 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = array2DRowRealMatrix27.add(array2DRowRealMatrix35);
    java.lang.String str40 = array2DRowRealMatrix35.toString();
    int i41 = array2DRowRealMatrix35.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = array2DRowRealMatrix35.getColumnMatrix(0);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight47 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array48, false);
    double[][] d_array_array51 = array2DRowRealMatrix50.getDataRef();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight55 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array56, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = array2DRowRealMatrix58.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = array2DRowRealMatrix50.add(array2DRowRealMatrix58);
    double[] d_array65 = new double[] { 10.0d, (-1.0d) };
    double[] d_array68 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair69 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array65, d_array68);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array65);
    double[] d_array71 = array2DRowRealMatrix62.operate(d_array65);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction72 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array71);
    org.apache.commons.math3.linear.RealVector realVector73 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array71);
    org.apache.commons.math3.linear.RealVector realVector74 = array2DRowRealMatrix35.preMultiply(realVector73);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = array2DRowRealMatrix14.subtract(array2DRowRealMatrix35);
    java.lang.String str76 = array2DRowRealMatrix75.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix78 = array2DRowRealMatrix75.power(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str19.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str40.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "Array2DRowRealMatrix{{0.0,0.0}}"+ "'", str76.equals("Array2DRowRealMatrix{{0.0,0.0}}"));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    double[] d_array2 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight3 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array2);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction4 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array2);
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight8 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array7);
    double[][] d_array_array9 = new double[][] { d_array7 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array9, false);
    double[][] d_array_array12 = array2DRowRealMatrix11.getDataRef();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight16 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array17, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix11.add(array2DRowRealMatrix19);
    double[] d_array26 = new double[] { 10.0d, (-1.0d) };
    double[] d_array29 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair30 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array26, d_array29);
    org.apache.commons.math3.linear.RealMatrix realMatrix31 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array26);
    double[] d_array32 = array2DRowRealMatrix23.operate(d_array26);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction33 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array32);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction34 = polynomialFunction33.polynomialDerivative();
    double d36 = polynomialFunction33.value(2.2250738585072014E-308d);
    double[] d_array37 = polynomialFunction33.getCoefficients();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight41 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array40);
    double[][] d_array_array42 = new double[][] { d_array40 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array42, false);
    double[][] d_array_array45 = array2DRowRealMatrix44.getDataRef();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight49 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix52 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array50, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix55 = array2DRowRealMatrix52.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = array2DRowRealMatrix44.add(array2DRowRealMatrix52);
    double[] d_array59 = new double[] { 10.0d, (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair63 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array59, d_array62);
    org.apache.commons.math3.linear.RealMatrix realMatrix64 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array65 = array2DRowRealMatrix56.operate(d_array59);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction66 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array65);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction67 = polynomialFunction66.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction68 = polynomialFunction66.polynomialDerivative();
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction69 = polynomialFunction33.multiply(polynomialFunction68);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight73 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array72);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction74 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array72);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction75 = polynomialFunction68.add(polynomialFunction74);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction76 = polynomialFunction4.multiply(polynomialFunction68);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction77 = polynomialFunction68.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polynomialFunction77);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = array2DRowFieldMatrix1.getDataRef();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight6 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array7, false);
    double[][] d_array_array10 = array2DRowRealMatrix9.getDataRef();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight14 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array15, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix9.add(array2DRowRealMatrix17);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix9.transpose();
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)realMatrix22);
    int i24 = array2DRowFieldMatrix1.getRowDimension();
    int i25 = array2DRowFieldMatrix1.getColumnDimension();
    int i26 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement28 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 2.0032095088804733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1L, (java.lang.Number)10, (java.lang.Number)100.0d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0d+ "'", number5.equals(100.0d));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math3.linear.RealVectorFormat("", "hi!", "");
    java.lang.String str4 = realVectorFormat3.getSuffix();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b6 = arrayRealVector5.isNaN();
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector5.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector();
    boolean b10 = arrayRealVector9.isNaN();
    org.apache.commons.math3.linear.RealVector realVector12 = arrayRealVector9.mapMultiplyToSelf(0.6483608274590866d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector5, realVector12);
    java.lang.String str14 = arrayRealVector13.toString();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight18 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19, false);
    double[][] d_array_array22 = array2DRowRealMatrix21.getDataRef();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight26 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array27, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix32 = array2DRowRealMatrix29.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = array2DRowRealMatrix21.add(array2DRowRealMatrix29);
    double[] d_array36 = new double[] { 10.0d, (-1.0d) };
    double[] d_array39 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair40 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array36, d_array39);
    org.apache.commons.math3.linear.RealMatrix realMatrix41 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array36);
    double[] d_array42 = array2DRowRealMatrix33.operate(d_array36);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction43 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array42);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector44 = arrayRealVector13.mapToSelf((org.apache.commons.math3.analysis.UnivariateFunction)polynomialFunction43);
    java.lang.String str45 = realVectorFormat3.format((org.apache.commons.math3.linear.RealVector)arrayRealVector44);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector46 = new org.apache.commons.math3.linear.ArrayRealVector();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = arrayRealVector46.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector48 = arrayRealVector44.add((org.apache.commons.math3.linear.RealVector)arrayRealVector46);
    double[] d_array49 = arrayRealVector48.getDataRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "{}"+ "'", str14.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix0 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix1 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix2 = diagonalMatrix0.subtract(diagonalMatrix1);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix3 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix4 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix5 = diagonalMatrix3.subtract(diagonalMatrix4);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix6 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix7 = new org.apache.commons.math3.linear.DiagonalMatrix();
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix8 = diagonalMatrix6.subtract(diagonalMatrix7);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix9 = diagonalMatrix5.subtract(diagonalMatrix6);
    org.apache.commons.math3.linear.DiagonalMatrix diagonalMatrix10 = diagonalMatrix0.multiply(diagonalMatrix6);
    double[][] d_array_array11 = diagonalMatrix0.getData();
    double[] d_array14 = new double[] { 10.0d, (-1.0d) };
    double[] d_array17 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair18 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array14, d_array17);
    double[] d_array21 = new double[] { 10.0d, (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair25 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array21, d_array24);
    org.apache.commons.math3.linear.RealMatrix realMatrix26 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds27 = new org.apache.commons.math3.optim.SimpleBounds(d_array17, d_array21);
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight28 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array17);
    double[] d_array32 = new double[] { (-1.0d), 1.0d, 10.0d };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector(d_array32, true);
    double d35 = arrayRealVector34.getLInfNorm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(d_array17, arrayRealVector34);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = diagonalMatrix0.operate(d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(diagonalMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 10.0d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    org.apache.commons.math3.optim.ConvergenceChecker convergenceChecker1 = null;
    org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer6 = new org.apache.commons.math3.optim.nonlinear.vector.jacobian.LevenbergMarquardtOptimizer(1.9912209064978486E30d, convergenceChecker1, 0.6230660667639296d, 4.9E-324d, 0.0d, 0.5403023058681398d);
    int i7 = levenbergMarquardtOptimizer6.getIterations();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight11 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12, false);
    double[][] d_array_array15 = array2DRowRealMatrix14.getDataRef();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight19 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array20, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix25 = array2DRowRealMatrix22.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = array2DRowRealMatrix14.add(array2DRowRealMatrix22);
    java.lang.String str27 = array2DRowRealMatrix22.toString();
    int i28 = array2DRowRealMatrix22.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = array2DRowRealMatrix22.getColumnMatrix(0);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight34 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix37 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array35, false);
    double[][] d_array_array38 = array2DRowRealMatrix37.getDataRef();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight42 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array43, false);
    org.apache.commons.math3.linear.RealMatrix realMatrix48 = array2DRowRealMatrix45.createMatrix(10, 100);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix37.add(array2DRowRealMatrix45);
    double[] d_array52 = new double[] { 10.0d, (-1.0d) };
    double[] d_array55 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair56 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array52, d_array55);
    org.apache.commons.math3.linear.RealMatrix realMatrix57 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array52);
    double[] d_array58 = array2DRowRealMatrix49.operate(d_array52);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction59 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array58);
    org.apache.commons.math3.linear.RealVector realVector60 = org.apache.commons.math3.linear.MatrixUtils.createRealVector(d_array58);
    org.apache.commons.math3.linear.RealVector realVector61 = array2DRowRealMatrix22.preMultiply(realVector60);
    double[] d_array65 = new double[] { 10.0d, (-1.0d) };
    double[] d_array68 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair69 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array65, d_array68);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array65);
    array2DRowRealMatrix22.setRow(0, d_array65);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    org.apache.commons.math3.optim.nonlinear.vector.Weight weight75 = new org.apache.commons.math3.optim.nonlinear.vector.Weight(d_array74);
    double[] d_array78 = new double[] { 10.0d, (-1.0d) };
    double[] d_array81 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair82 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array78, d_array81);
    double[] d_array85 = new double[] { 10.0d, (-1.0d) };
    double[] d_array88 = new double[] { 0.0d, 100.0d };
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair89 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array85, d_array88);
    org.apache.commons.math3.linear.RealMatrix realMatrix90 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array85);
    org.apache.commons.math3.optim.SimpleBounds simpleBounds91 = new org.apache.commons.math3.optim.SimpleBounds(d_array81, d_array85);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair93 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array74, d_array85, false);
    org.apache.commons.math3.analysis.polynomials.PolynomialFunction polynomialFunction94 = new org.apache.commons.math3.analysis.polynomials.PolynomialFunction(d_array85);
    org.apache.commons.math3.optim.PointVectorValuePair pointVectorValuePair96 = new org.apache.commons.math3.optim.PointVectorValuePair(d_array65, d_array85, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array98 = levenbergMarquardtOptimizer6.computeSigma(d_array65, 1.0E20d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Array2DRowRealMatrix{{1.0,0.0}}"+ "'", str27.equals("Array2DRowRealMatrix{{1.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix90);

  }

}
